#
# Module manifest for module 'Az.Compute'
#
# Generated by: Microsoft Corporation
#
# Generated on: 03/27/2024
#

@{

# Script module or binary module file associated with this manifest.
RootModule = 'Az.Compute.psm1'

# Version number of this module.
ModuleVersion = '7.2.0'

# Supported PSEditions
CompatiblePSEditions = 'Core', 'Desktop'

# ID used to uniquely identify this module
GUID = 'd4cb9989-9ed1-49c2-bacd-0f8daf758671'

# Author of this module
Author = 'Microsoft Corporation'

# Company or vendor of this module
CompanyName = 'Microsoft Corporation'

# Copyright statement for this module
Copyright = 'Microsoft Corporation. All rights reserved.'

# Description of the functionality provided by this module
Description = 'Microsoft Azure PowerShell - Compute service cmdlets for Azure Resource Manager in Windows PowerShell and PowerShell Core.  Manages virtual machines, hosted services, and related resources in Azure Resource Manager.

For more information on Virtual Machines, please visit the following: https://learn.microsoft.com/azure/virtual-machines/
For more information on Virtual Machine Scale Sets, please visit the following: https://learn.microsoft.com/azure/virtual-machine-scale-sets/'

# Minimum version of the PowerShell engine required by this module
PowerShellVersion = '5.1'

# Name of the PowerShell host required by this module
# PowerShellHostName = ''

# Minimum version of the PowerShell host required by this module
# PowerShellHostVersion = ''

# Minimum version of Microsoft .NET Framework required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
DotNetFrameworkVersion = '4.7.2'

# Minimum version of the common language runtime (CLR) required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
# ClrVersion = ''

# Processor architecture (None, X86, Amd64) required by this module
# ProcessorArchitecture = ''

# Modules that must be imported into the global environment prior to importing this module
RequiredModules = @()

# Assemblies that must be loaded prior to importing this module
RequiredAssemblies = 'Compute.Autorest/bin/Az.Compute.private.dll', 
               'Microsoft.Azure.Management.ResourceGraph.dll', 
               'Microsoft.Azure.PowerShell.AutoMapper.dll', 
               'Microsoft.Azure.PowerShell.Cmdlets.Compute.Helpers.dll', 
               'Microsoft.Azure.PowerShell.Compute.Management.Sdk.dll', 
               'Microsoft.WindowsAzure.Storage.dll'

# Script files (.ps1) that are run in the caller's environment prior to importing this module.
# ScriptsToProcess = @()

# Type files (.ps1xml) to be loaded when importing this module
# TypesToProcess = @()

# Format files (.ps1xml) to be loaded when importing this module
FormatsToProcess = 'Compute.Automation.generated.format.ps1xml', 
               'Compute.Autorest/Az.Compute.format.ps1xml', 
               'Compute.format.ps1xml', 'Compute.generated.format.ps1xml'

# Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
NestedModules = @('Compute.Autorest/Az.Compute.psm1')

# Functions to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no functions to export.
FunctionsToExport = 'Get-AzGalleryApplication', 'Get-AzGalleryApplicationVersion', 
               'New-AzGalleryApplication', 'New-AzGalleryApplicationVersion', 
               'Remove-AzGalleryApplication', 'Remove-AzGalleryApplicationVersion', 
               'Remove-AzVMRunCommand', 'Remove-AzVmssVMRunCommand', 
               'Set-AzVMRunCommand', 'Set-AzVmssVMRunCommand', 
               'Update-AzGalleryApplication', 'Update-AzGalleryApplicationVersion'

# Cmdlets to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no cmdlets to export.
CmdletsToExport = 'Add-AzImageDataDisk', 'Add-AzVhd', 
               'Add-AzVMAdditionalUnattendContent', 'Add-AzVMDataDisk', 
               'Add-AzVmGalleryApplication', 'Add-AzVMNetworkInterface', 
               'Add-AzVMSecret', 'Add-AzVmssAdditionalUnattendContent', 
               'Add-AzVmssDataDisk', 'Add-AzVmssDiagnosticsExtension', 
               'Add-AzVmssExtension', 'Add-AzVmssGalleryApplication', 
               'Add-AzVMSshPublicKey', 'Add-AzVmssNetworkInterfaceConfiguration', 
               'Add-AzVmssRunCommand', 'Add-AzVmssSecret', 'Add-AzVmssSshPublicKey', 
               'Add-AzVmssVMDataDisk', 'Add-AzVmssWinRMListener', 
               'ConvertTo-AzVMManagedDisk', 'Disable-AzVMDiskEncryption', 
               'Disable-AzVmssDiskEncryption', 
               'Export-AzLogAnalyticRequestRateByInterval', 
               'Export-AzLogAnalyticThrottledRequest', 'Get-AzAvailabilitySet', 
               'Get-AzCapacityReservation', 'Get-AzCapacityReservationGroup', 
               'Get-AzComputeResourceSku', 'Get-AzDisk', 'Get-AzDiskAccess', 
               'Get-AzDiskEncryptionSet', 
               'Get-AzDiskEncryptionSetAssociatedResource', 'Get-AzGallery', 
               'Get-AzGalleryImageDefinition', 'Get-AzGalleryImageVersion', 
               'Get-AzHost', 'Get-AzHostGroup', 'Get-AzHostSize', 'Get-AzImage', 
               'Get-AzProximityPlacementGroup', 'Get-AzRemoteDesktopFile', 
               'Get-AzRestorePoint', 'Get-AzRestorePointCollection', 
               'Get-AzSnapshot', 'Get-AzSshKey', 'Get-AzVM', 'Get-AzVMAccessExtension', 
               'Get-AzVMADDomainExtension', 'Get-AzVMAEMExtension', 
               'Get-AzVMBootDiagnosticsData', 'Get-AzVMChefExtension', 
               'Get-AzVMCustomScriptExtension', 'Get-AzVMDiagnosticsExtension', 
               'Get-AzVMDiskEncryptionStatus', 'Get-AzVMDscExtension', 
               'Get-AzVMDscExtensionStatus', 'Get-AzVMExtension', 
               'Get-AzVMExtensionImage', 'Get-AzVMExtensionImageType', 
               'Get-AzVMImage', 'Get-AzVMImageOffer', 'Get-AzVMImagePublisher', 
               'Get-AzVMImageSku', 'Get-AzVMRunCommand', 
               'Get-AzVMRunCommandDocument', 'Get-AzVMSize', 
               'Get-AzVMSqlServerExtension', 'Get-AzVmss', 
               'Get-AzVmssDiskEncryption', 'Get-AzVmssRollingUpgrade', 
               'Get-AzVmssSku', 'Get-AzVmssVM', 'Get-AzVmssVMDiskEncryption', 
               'Get-AzVmssVMRunCommand', 'Get-AzVMUsage', 'Grant-AzDiskAccess', 
               'Grant-AzSnapshotAccess', 'Invoke-AzVMInstallPatch', 
               'Invoke-AzVMPatchAssessment', 'Invoke-AzVMReimage', 
               'Invoke-AzVMRunCommand', 'Invoke-AzVmssVMRunCommand', 
               'New-AzAvailabilitySet', 'New-AzCapacityReservation', 
               'New-AzCapacityReservationGroup', 'New-AzDisk', 'New-AzDiskAccess', 
               'New-AzDiskConfig', 'New-AzDiskEncryptionSet', 
               'New-AzDiskEncryptionSetConfig', 'New-AzDiskPurchasePlanConfig', 
               'New-AzDiskUpdateConfig', 'New-AzGallery', 
               'New-AzGalleryImageDefinition', 'New-AzGalleryImageVersion', 
               'New-AzHost', 'New-AzHostGroup', 'New-AzImage', 'New-AzImageConfig', 
               'New-AzProximityPlacementGroup', 'New-AzRestorePoint', 
               'New-AzRestorePointCollection', 'New-AzSnapshot', 
               'New-AzSnapshotConfig', 'New-AzSnapshotUpdateConfig', 'New-AzSshKey', 
               'New-AzVM', 'New-AzVMConfig', 'New-AzVMDataDisk', 
               'New-AzVmGalleryApplication', 'New-AzVMSqlServerAutoBackupConfig', 
               'New-AzVMSqlServerAutoPatchingConfig', 
               'New-AzVMSqlServerKeyVaultCredentialConfig', 'New-AzVmss', 
               'New-AzVmssConfig', 'New-AzVmssGalleryApplication', 
               'New-AzVmssIpConfig', 'New-AzVmssIpTagConfig', 
               'New-AzVmssVaultCertificateConfig', 'Publish-AzVMDscConfiguration', 
               'Remove-AzAvailabilitySet', 'Remove-AzCapacityReservation', 
               'Remove-AzCapacityReservationGroup', 'Remove-AzDisk', 
               'Remove-AzDiskAccess', 'Remove-AzDiskEncryptionSet', 
               'Remove-AzGallery', 'Remove-AzGalleryImageDefinition', 
               'Remove-AzGalleryImageVersion', 'Remove-AzHost', 'Remove-AzHostGroup', 
               'Remove-AzImage', 'Remove-AzImageDataDisk', 
               'Remove-AzProximityPlacementGroup', 'Remove-AzRestorePoint', 
               'Remove-AzRestorePointCollection', 'Remove-AzSnapshot', 
               'Remove-AzSshKey', 'Remove-AzVM', 'Remove-AzVMAccessExtension', 
               'Remove-AzVMAEMExtension', 'Remove-AzVMBackup', 
               'Remove-AzVMChefExtension', 'Remove-AzVMCustomScriptExtension', 
               'Remove-AzVMDataDisk', 'Remove-AzVMDiagnosticsExtension', 
               'Remove-AzVMDiskEncryptionExtension', 'Remove-AzVMDscExtension', 
               'Remove-AzVMExtension', 'Remove-AzVmGalleryApplication', 
               'Remove-AzVMNetworkInterface', 'Remove-AzVMSecret', 
               'Remove-AzVMSqlServerExtension', 'Remove-AzVmss', 
               'Remove-AzVmssDataDisk', 'Remove-AzVmssDiagnosticsExtension', 
               'Remove-AzVmssExtension', 'Remove-AzVmssGalleryApplication', 
               'Remove-AzVmssNetworkInterfaceConfiguration', 
               'Remove-AzVmssRunCommand', 'Remove-AzVmssVMDataDisk', 
               'Repair-AzVmssServiceFabricUpdateDomain', 'Restart-AzHost', 
               'Restart-AzVM', 'Restart-AzVmss', 'Revoke-AzDiskAccess', 
               'Revoke-AzSnapshotAccess', 'Save-AzVhd', 'Save-AzVMImage', 
               'Set-AzDiskDiskEncryptionKey', 'Set-AzDiskImageReference', 
               'Set-AzDiskKeyEncryptionKey', 'Set-AzDiskSecurityProfile', 
               'Set-AzDiskUpdateDiskEncryptionKey', 
               'Set-AzDiskUpdateKeyEncryptionKey', 'Set-AzImageOsDisk', 
               'Set-AzSnapshotDiskEncryptionKey', 'Set-AzSnapshotImageReference', 
               'Set-AzSnapshotKeyEncryptionKey', 
               'Set-AzSnapshotUpdateDiskEncryptionKey', 
               'Set-AzSnapshotUpdateKeyEncryptionKey', 'Set-AzVM', 
               'Set-AzVMAccessExtension', 'Set-AzVMADDomainExtension', 
               'Set-AzVMAEMExtension', 'Set-AzVMBackupExtension', 
               'Set-AzVMBginfoExtension', 'Set-AzVMBootDiagnostic', 
               'Set-AzVMChefExtension', 'Set-AzVMCustomScriptExtension', 
               'Set-AzVMDataDisk', 'Set-AzVMDiagnosticsExtension', 
               'Set-AzVMDiskEncryptionExtension', 'Set-AzVMDscExtension', 
               'Set-AzVMExtension', 'Set-AzVMOperatingSystem', 'Set-AzVMOSDisk', 
               'Set-AzVMPlan', 'Set-AzVMSecurityProfile', 'Set-AzVMSourceImage', 
               'Set-AzVMSqlServerExtension', 'Set-AzVmss', 
               'Set-AzVmssBootDiagnostic', 'Set-AzVmssDiskEncryptionExtension', 
               'Set-AzVmssOrchestrationServiceState', 'Set-AzVmssOsProfile', 
               'Set-AzVmssRollingUpgradePolicy', 'Set-AzVmssSecurityProfile', 
               'Set-AzVmssStorageProfile', 'Set-AzVmssUefi', 'Set-AzVmssVM', 
               'Set-AzVMUefi', 'Start-AzVM', 'Start-AzVmss', 
               'Start-AzVmssRollingExtensionUpgrade', 
               'Start-AzVmssRollingOSUpgrade', 'Stop-AzVM', 'Stop-AzVmss', 
               'Stop-AzVmssRollingUpgrade', 'Test-AzVMAEMExtension', 
               'Update-AzAvailabilitySet', 'Update-AzCapacityReservation', 
               'Update-AzCapacityReservationGroup', 'Update-AzDisk', 
               'Update-AzDiskEncryptionSet', 'Update-AzGallery', 
               'Update-AzGalleryImageDefinition', 'Update-AzGalleryImageVersion', 
               'Update-AzHost', 'Update-AzImage', 'Update-AzRestorePointCollection', 
               'Update-AzSnapshot', 'Update-AzSshKey', 'Update-AzVM', 'Update-AzVmss', 
               'Update-AzVmssInstance', 'Update-AzVmssVM'

# Variables to export from this module
# VariablesToExport = @()

# Aliases to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no aliases to export.
AliasesToExport = 'Get-AzVmssDiskEncryptionStatus', 
               'Get-AzVmssVMDiskEncryptionStatus', 'Invoke-AzVMAssessPatch', 
               'Invoke-AzVMPatchAssess', 'Repair-AzVmssServiceFabricUD'

# DSC resources to export from this module
# DscResourcesToExport = @()

# List of all modules packaged with this module
# ModuleList = @()

# List of all files packaged with this module
# FileList = @()

# Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
PrivateData = @{

    PSData = @{

        # Tags applied to this module. These help with module discovery in online galleries.
        Tags = 'Azure','ResourceManager','ARM','Compute','IAAS','VM','VirtualMachine'

        # A URL to the license for this module.
        LicenseUri = 'https://aka.ms/azps-license'

        # A URL to the main website for this project.
        ProjectUri = 'https://github.com/Azure/azure-powershell'

        # A URL to an icon representing this module.
        # IconUri = ''

        # ReleaseNotes of this module
        ReleaseNotes = '* Added parameters ''-scriptUriManagedIdentity'', ''-outputBlobManagedIdentity'', ''-errorBlobMangedIdentity'', and ''-TreatFailureAsDeploymentFailure'' to cmdlets ''Set-AzVmRunCommand'' and ''Set-AzVmssRunCommand''. 
* Added new parameter ''-EnableAutomaticOSUpgrade'' to ''New-AzVmss'' cmdlet.
* Renamed parameter ''-AutoOSUpgrade'' to ''-EnableAutomaticOSUpgrade'' in ''New-AzVmssConfig'' cmdlet for consistency. Using ''-AutoOSUpgrade'' as parameter name will continue to work as it is added as an alias.
* Upgraded Azure.Core to 1.37.0.
* Az.Compute is updated to use the 2023-07-03 GalleryRP, 2024-03-01 ComputeRP and 2023-10-02 DiskRP API.
* Added new parameter ''-TierOption'' to ''New-AzSnapshotConfig''.
* Added breaking change warnings for the May 2024 release. The warnings are for:
  ''New-AzGalleryImageVersion'' defaulting to turn on TrustedLaunchSupported and HyperVGeneration to V2.
  ''New-AzVM'' and ''New-AzVmss'' will default to the image ''Windows Server 2022 Azure Edition'' instead of ''Windows 2016 Datacenter'' by default.
  ''Get-AzVmss'' will no longer allow empty values to ''ResourceGroupName'' and ''VMScaleSetName'' to avoid a bug where it will just return nothing.
* Added a new parameter ''-SharingProfile'' to ''New-AzCapacityReservationGroup'' and ''Update-AzCapacityReservationGroup''.
* Added the new parameter ''SourceImageVMId'' to the ''New-AzGalleryImageVersion'' cmdlet. Also added some error messages for this new parameter and the existing parameter ''SourceImageId''. '

        # Prerelease string of this module
        # Prerelease = ''

        # Flag to indicate whether the module requires explicit user acceptance for install/update/save
        # RequireLicenseAcceptance = $false

        # External dependent modules of this module
        # ExternalModuleDependencies = @()

    } # End of PSData hashtable

 } # End of PrivateData hashtable

# HelpInfo URI of this module
# HelpInfoURI = ''

# Default prefix for commands exported from this module. Override the default prefix using Import-Module -Prefix.
# DefaultCommandPrefix = ''

}


# SIG # Begin signature block
# MIInvwYJKoZIhvcNAQcCoIInsDCCJ6wCAQExDzANBglghkgBZQMEAgEFADB5Bgor
# BgEEAYI3AgEEoGswaTA0BgorBgEEAYI3AgEeMCYCAwEAAAQQH8w7YFlLCE63JNLG
# KX7zUQIBAAIBAAIBAAIBAAIBADAxMA0GCWCGSAFlAwQCAQUABCA5A21NdeCRHoMw
# NowVJQxp9naCi4NtHNA04sJWl3sohqCCDXYwggX0MIID3KADAgECAhMzAAADrzBA
# DkyjTQVBAAAAAAOvMA0GCSqGSIb3DQEBCwUAMH4xCzAJBgNVBAYTAlVTMRMwEQYD
# VQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBDb2RlIFNpZ25p
# bmcgUENBIDIwMTEwHhcNMjMxMTE2MTkwOTAwWhcNMjQxMTE0MTkwOTAwWjB0MQsw
# CQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9u
# ZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMR4wHAYDVQQDExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIB
# AQDOS8s1ra6f0YGtg0OhEaQa/t3Q+q1MEHhWJhqQVuO5amYXQpy8MDPNoJYk+FWA
# hePP5LxwcSge5aen+f5Q6WNPd6EDxGzotvVpNi5ve0H97S3F7C/axDfKxyNh21MG
# 0W8Sb0vxi/vorcLHOL9i+t2D6yvvDzLlEefUCbQV/zGCBjXGlYJcUj6RAzXyeNAN
# xSpKXAGd7Fh+ocGHPPphcD9LQTOJgG7Y7aYztHqBLJiQQ4eAgZNU4ac6+8LnEGAL
# go1ydC5BJEuJQjYKbNTy959HrKSu7LO3Ws0w8jw6pYdC1IMpdTkk2puTgY2PDNzB
# tLM4evG7FYer3WX+8t1UMYNTAgMBAAGjggFzMIIBbzAfBgNVHSUEGDAWBgorBgEE
# AYI3TAgBBggrBgEFBQcDAzAdBgNVHQ4EFgQURxxxNPIEPGSO8kqz+bgCAQWGXsEw
# RQYDVR0RBD4wPKQ6MDgxHjAcBgNVBAsTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEW
# MBQGA1UEBRMNMjMwMDEyKzUwMTgyNjAfBgNVHSMEGDAWgBRIbmTlUAXTgqoXNzci
# tW2oynUClTBUBgNVHR8ETTBLMEmgR6BFhkNodHRwOi8vd3d3Lm1pY3Jvc29mdC5j
# b20vcGtpb3BzL2NybC9NaWNDb2RTaWdQQ0EyMDExXzIwMTEtMDctMDguY3JsMGEG
# CCsGAQUFBwEBBFUwUzBRBggrBgEFBQcwAoZFaHR0cDovL3d3dy5taWNyb3NvZnQu
# Y29tL3BraW9wcy9jZXJ0cy9NaWNDb2RTaWdQQ0EyMDExXzIwMTEtMDctMDguY3J0
# MAwGA1UdEwEB/wQCMAAwDQYJKoZIhvcNAQELBQADggIBAISxFt/zR2frTFPB45Yd
# mhZpB2nNJoOoi+qlgcTlnO4QwlYN1w/vYwbDy/oFJolD5r6FMJd0RGcgEM8q9TgQ
# 2OC7gQEmhweVJ7yuKJlQBH7P7Pg5RiqgV3cSonJ+OM4kFHbP3gPLiyzssSQdRuPY
# 1mIWoGg9i7Y4ZC8ST7WhpSyc0pns2XsUe1XsIjaUcGu7zd7gg97eCUiLRdVklPmp
# XobH9CEAWakRUGNICYN2AgjhRTC4j3KJfqMkU04R6Toyh4/Toswm1uoDcGr5laYn
# TfcX3u5WnJqJLhuPe8Uj9kGAOcyo0O1mNwDa+LhFEzB6CB32+wfJMumfr6degvLT
# e8x55urQLeTjimBQgS49BSUkhFN7ois3cZyNpnrMca5AZaC7pLI72vuqSsSlLalG
# OcZmPHZGYJqZ0BacN274OZ80Q8B11iNokns9Od348bMb5Z4fihxaBWebl8kWEi2O
# PvQImOAeq3nt7UWJBzJYLAGEpfasaA3ZQgIcEXdD+uwo6ymMzDY6UamFOfYqYWXk
# ntxDGu7ngD2ugKUuccYKJJRiiz+LAUcj90BVcSHRLQop9N8zoALr/1sJuwPrVAtx
# HNEgSW+AKBqIxYWM4Ev32l6agSUAezLMbq5f3d8x9qzT031jMDT+sUAoCw0M5wVt
# CUQcqINPuYjbS1WgJyZIiEkBMIIHejCCBWKgAwIBAgIKYQ6Q0gAAAAAAAzANBgkq
# hkiG9w0BAQsFADCBiDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24x
# EDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlv
# bjEyMDAGA1UEAxMpTWljcm9zb2Z0IFJvb3QgQ2VydGlmaWNhdGUgQXV0aG9yaXR5
# IDIwMTEwHhcNMTEwNzA4MjA1OTA5WhcNMjYwNzA4MjEwOTA5WjB+MQswCQYDVQQG
# EwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwG
# A1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSgwJgYDVQQDEx9NaWNyb3NvZnQg
# Q29kZSBTaWduaW5nIFBDQSAyMDExMIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIIC
# CgKCAgEAq/D6chAcLq3YbqqCEE00uvK2WCGfQhsqa+laUKq4BjgaBEm6f8MMHt03
# a8YS2AvwOMKZBrDIOdUBFDFC04kNeWSHfpRgJGyvnkmc6Whe0t+bU7IKLMOv2akr
# rnoJr9eWWcpgGgXpZnboMlImEi/nqwhQz7NEt13YxC4Ddato88tt8zpcoRb0Rrrg
# OGSsbmQ1eKagYw8t00CT+OPeBw3VXHmlSSnnDb6gE3e+lD3v++MrWhAfTVYoonpy
# 4BI6t0le2O3tQ5GD2Xuye4Yb2T6xjF3oiU+EGvKhL1nkkDstrjNYxbc+/jLTswM9
# sbKvkjh+0p2ALPVOVpEhNSXDOW5kf1O6nA+tGSOEy/S6A4aN91/w0FK/jJSHvMAh
# dCVfGCi2zCcoOCWYOUo2z3yxkq4cI6epZuxhH2rhKEmdX4jiJV3TIUs+UsS1Vz8k
# A/DRelsv1SPjcF0PUUZ3s/gA4bysAoJf28AVs70b1FVL5zmhD+kjSbwYuER8ReTB
# w3J64HLnJN+/RpnF78IcV9uDjexNSTCnq47f7Fufr/zdsGbiwZeBe+3W7UvnSSmn
# Eyimp31ngOaKYnhfsi+E11ecXL93KCjx7W3DKI8sj0A3T8HhhUSJxAlMxdSlQy90
# lfdu+HggWCwTXWCVmj5PM4TasIgX3p5O9JawvEagbJjS4NaIjAsCAwEAAaOCAe0w
# ggHpMBAGCSsGAQQBgjcVAQQDAgEAMB0GA1UdDgQWBBRIbmTlUAXTgqoXNzcitW2o
# ynUClTAZBgkrBgEEAYI3FAIEDB4KAFMAdQBiAEMAQTALBgNVHQ8EBAMCAYYwDwYD
# VR0TAQH/BAUwAwEB/zAfBgNVHSMEGDAWgBRyLToCMZBDuRQFTuHqp8cx0SOJNDBa
# BgNVHR8EUzBRME+gTaBLhklodHRwOi8vY3JsLm1pY3Jvc29mdC5jb20vcGtpL2Ny
# bC9wcm9kdWN0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFfMDNfMjIuY3JsMF4GCCsG
# AQUFBwEBBFIwUDBOBggrBgEFBQcwAoZCaHR0cDovL3d3dy5taWNyb3NvZnQuY29t
# L3BraS9jZXJ0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFfMDNfMjIuY3J0MIGfBgNV
# HSAEgZcwgZQwgZEGCSsGAQQBgjcuAzCBgzA/BggrBgEFBQcCARYzaHR0cDovL3d3
# dy5taWNyb3NvZnQuY29tL3BraW9wcy9kb2NzL3ByaW1hcnljcHMuaHRtMEAGCCsG
# AQUFBwICMDQeMiAdAEwAZQBnAGEAbABfAHAAbwBsAGkAYwB5AF8AcwB0AGEAdABl
# AG0AZQBuAHQALiAdMA0GCSqGSIb3DQEBCwUAA4ICAQBn8oalmOBUeRou09h0ZyKb
# C5YR4WOSmUKWfdJ5DJDBZV8uLD74w3LRbYP+vj/oCso7v0epo/Np22O/IjWll11l
# hJB9i0ZQVdgMknzSGksc8zxCi1LQsP1r4z4HLimb5j0bpdS1HXeUOeLpZMlEPXh6
# I/MTfaaQdION9MsmAkYqwooQu6SpBQyb7Wj6aC6VoCo/KmtYSWMfCWluWpiW5IP0
# wI/zRive/DvQvTXvbiWu5a8n7dDd8w6vmSiXmE0OPQvyCInWH8MyGOLwxS3OW560
# STkKxgrCxq2u5bLZ2xWIUUVYODJxJxp/sfQn+N4sOiBpmLJZiWhub6e3dMNABQam
# ASooPoI/E01mC8CzTfXhj38cbxV9Rad25UAqZaPDXVJihsMdYzaXht/a8/jyFqGa
# J+HNpZfQ7l1jQeNbB5yHPgZ3BtEGsXUfFL5hYbXw3MYbBL7fQccOKO7eZS/sl/ah
# XJbYANahRr1Z85elCUtIEJmAH9AAKcWxm6U/RXceNcbSoqKfenoi+kiVH6v7RyOA
# 9Z74v2u3S5fi63V4GuzqN5l5GEv/1rMjaHXmr/r8i+sLgOppO6/8MO0ETI7f33Vt
# Y5E90Z1WTk+/gFcioXgRMiF670EKsT/7qMykXcGhiJtXcVZOSEXAQsmbdlsKgEhr
# /Xmfwb1tbWrJUnMTDXpQzTGCGZ8wghmbAgEBMIGVMH4xCzAJBgNVBAYTAlVTMRMw
# EQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVN
# aWNyb3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBDb2RlIFNp
# Z25pbmcgUENBIDIwMTECEzMAAAOvMEAOTKNNBUEAAAAAA68wDQYJYIZIAWUDBAIB
# BQCgga4wGQYJKoZIhvcNAQkDMQwGCisGAQQBgjcCAQQwHAYKKwYBBAGCNwIBCzEO
# MAwGCisGAQQBgjcCARUwLwYJKoZIhvcNAQkEMSIEIB/3r2K/qwYZprqS4lDnHkN1
# Z9DfBXTNo8GOboHnMIJAMEIGCisGAQQBgjcCAQwxNDAyoBSAEgBNAGkAYwByAG8A
# cwBvAGYAdKEagBhodHRwOi8vd3d3Lm1pY3Jvc29mdC5jb20wDQYJKoZIhvcNAQEB
# BQAEggEAkj8bFbRXn0Bsgu6oduhyhlR0PA7nHbLGCi30cTZvCJ+A73wRqn4e59X3
# tKSaVZRVrbaB21A4h+lFQaozfIZUrGuANfNMRA06J9cQmIW8+dxxSA2eZiD5Yqrd
# 4W9le3py/SU7nOzRcyS1WuMbGkcvJyUS+5DQmIDXgqbenvXZdtaQJ/XBYFDx/JGE
# mmA/Zh1Oi49IOixUe60Rltxdyt/7pMffnRsgrR0M/7XuYr8owjAp+Rw9NXkxU1sl
# RhIXZCRu5t5gsJY7S/SBh+VLHQZnBc6UfMrWJKVs4UAQ9JVHwegYmBKIa+08iSPI
# ph9Wcs7NoISuwP1JbB4IQ9WcPsw6a6GCFykwghclBgorBgEEAYI3AwMBMYIXFTCC
# FxEGCSqGSIb3DQEHAqCCFwIwghb+AgEDMQ8wDQYJYIZIAWUDBAIBBQAwggFZBgsq
# hkiG9w0BCRABBKCCAUgEggFEMIIBQAIBAQYKKwYBBAGEWQoDATAxMA0GCWCGSAFl
# AwQCAQUABCAIdTp5zQKGqAg8HtM6g7rFwGM6houx/XNBwlz+/OK/ygIGZfxvEhrb
# GBMyMDI0MDMyNzA4MTkyNy4zMzhaMASAAgH0oIHYpIHVMIHSMQswCQYDVQQGEwJV
# UzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UE
# ChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMS0wKwYDVQQLEyRNaWNyb3NvZnQgSXJl
# bGFuZCBPcGVyYXRpb25zIExpbWl0ZWQxJjAkBgNVBAsTHVRoYWxlcyBUU1MgRVNO
# OjA4NDItNEJFNi1DMjlBMSUwIwYDVQQDExxNaWNyb3NvZnQgVGltZS1TdGFtcCBT
# ZXJ2aWNloIIReDCCBycwggUPoAMCAQICEzMAAAHajtXJWgDREbEAAQAAAdowDQYJ
# KoZIhvcNAQELBQAwfDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24x
# EDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlv
# bjEmMCQGA1UEAxMdTWljcm9zb2Z0IFRpbWUtU3RhbXAgUENBIDIwMTAwHhcNMjMx
# MDEyMTkwNjU5WhcNMjUwMTEwMTkwNjU5WjCB0jELMAkGA1UEBhMCVVMxEzARBgNV
# BAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jv
# c29mdCBDb3Jwb3JhdGlvbjEtMCsGA1UECxMkTWljcm9zb2Z0IElyZWxhbmQgT3Bl
# cmF0aW9ucyBMaW1pdGVkMSYwJAYDVQQLEx1UaGFsZXMgVFNTIEVTTjowODQyLTRC
# RTYtQzI5QTElMCMGA1UEAxMcTWljcm9zb2Z0IFRpbWUtU3RhbXAgU2VydmljZTCC
# AiIwDQYJKoZIhvcNAQEBBQADggIPADCCAgoCggIBAJOQBgh2tVFR1j8jQA4NDf8b
# cVrXSN080CNKPSQo7S57sCnPU0FKF47w2L6qHtwm4EnClF2cruXFp/l7PpMQg25E
# 7X8xDmvxr8BBE6iASAPCfrTebuvAsZWcJYhy7prgCuBf7OidXpgsW1y8p6Vs7sD2
# aup/0uveYxeXlKtsPjMCplHkk0ba+HgLho0J68Kdji3DM2K59wHy9xrtsYK+X9er
# bDGZ2mmX3765aS5Q7/ugDxMVgzyj80yJn6ULnknD9i4kUQxVhqV1dc/DF6UBeuzf
# ukkMed7trzUEZMRyla7qhvwUeQlgzCQhpZjz+zsQgpXlPczvGd0iqr7lACwfVGog
# 5plIzdExvt1TA8Jmef819aTKwH1IVEIwYLA6uvS8kRdA6RxvMcb//ulNjIuGceyy
# kMAXEynVrLG9VvK4rfrCsGL3j30Lmidug+owrcCjQagYmrGk1hBykXilo9YB8Qyy
# 5Q1KhGuH65V3zFy8a0kwbKBRs8VR4HtoPYw9z1DdcJfZBO2dhzX3yAMipCGm6Smv
# mvavRsXhy805jiApDyN+s0/b7os2z8iRWGJk6M9uuT2493gFV/9JLGg5YJJCJXI+
# yxkO/OXnZJsuGt0+zWLdHS4XIXBG17oPu5KsFfRTHREloR2dI6GwaaxIyDySHYOt
# vIydla7u4lfnfCjY/qKTAgMBAAGjggFJMIIBRTAdBgNVHQ4EFgQUoXyNyVE9ZhOV
# izEUVwhNgL8PX0UwHwYDVR0jBBgwFoAUn6cVXQBeYl2D9OXSZacbUzUZ6XIwXwYD
# VR0fBFgwVjBUoFKgUIZOaHR0cDovL3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9j
# cmwvTWljcm9zb2Z0JTIwVGltZS1TdGFtcCUyMFBDQSUyMDIwMTAoMSkuY3JsMGwG
# CCsGAQUFBwEBBGAwXjBcBggrBgEFBQcwAoZQaHR0cDovL3d3dy5taWNyb3NvZnQu
# Y29tL3BraW9wcy9jZXJ0cy9NaWNyb3NvZnQlMjBUaW1lLVN0YW1wJTIwUENBJTIw
# MjAxMCgxKS5jcnQwDAYDVR0TAQH/BAIwADAWBgNVHSUBAf8EDDAKBggrBgEFBQcD
# CDAOBgNVHQ8BAf8EBAMCB4AwDQYJKoZIhvcNAQELBQADggIBALmDVdTtuI0jAEt4
# 1O2OM8CU237TGMyhrGr7FzKCEFaXxtoqk/IObQriq1caHVh2vyuQ24nz3TdOBv7r
# cs/qnPjOxnXFLyZPeaWLsNuARVmUViyVYXjXYB5DwzaWZgScY8GKL7yGjyWrh78W
# JUgh7rE1+5VD5h0/6rs9dBRqAzI9fhZz7spsjt8vnx50WExbBSSH7rfabHendpeq
# bTmW/RfcaT+GFIsT+g2ej7wRKIq/QhnsoF8mpFNPHV1q/WK/rF/ChovkhJMDvlqt
# ETWi97GolOSKamZC9bYgcPKfz28ed25WJy10VtQ9P5+C/2dOfDaz1RmeOb27Kbeg
# ha0SfPcriTfORVvqPDSa3n9N7dhTY7+49I8evoad9hdZ8CfIOPftwt3xTX2RhMZJ
# CVoFlabHcvfb84raFM6cz5EYk+x1aVEiXtgK6R0xn1wjMXHf0AWlSjqRkzvSnRKz
# FsZwEl74VahlKVhI+Ci9RT9+6Gc0xWzJ7zQIUFE3Jiix5+7KL8ArHfBY9UFLz4sn
# boJ7Qip3IADbkU4ZL0iQ8j8Ixra7aSYfToUefmct3dM69ff4Eeh2Kh9NsKiiph58
# 9Ap/xS1jESlrfjL/g/ZboaS5d9a2fA598mubDvLD5x5PP37700vm/Y+PIhmp2fTv
# uS2sndeZBmyTqcUNHRNmCk+njV3nMIIHcTCCBVmgAwIBAgITMwAAABXF52ueAptJ
# mQAAAAAAFTANBgkqhkiG9w0BAQsFADCBiDELMAkGA1UEBhMCVVMxEzARBgNVBAgT
# Cldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29m
# dCBDb3Jwb3JhdGlvbjEyMDAGA1UEAxMpTWljcm9zb2Z0IFJvb3QgQ2VydGlmaWNh
# dGUgQXV0aG9yaXR5IDIwMTAwHhcNMjEwOTMwMTgyMjI1WhcNMzAwOTMwMTgzMjI1
# WjB8MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMH
# UmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSYwJAYDVQQD
# Ex1NaWNyb3NvZnQgVGltZS1TdGFtcCBQQ0EgMjAxMDCCAiIwDQYJKoZIhvcNAQEB
# BQADggIPADCCAgoCggIBAOThpkzntHIhC3miy9ckeb0O1YLT/e6cBwfSqWxOdcjK
# NVf2AX9sSuDivbk+F2Az/1xPx2b3lVNxWuJ+Slr+uDZnhUYjDLWNE893MsAQGOhg
# fWpSg0S3po5GawcU88V29YZQ3MFEyHFcUTE3oAo4bo3t1w/YJlN8OWECesSq/XJp
# rx2rrPY2vjUmZNqYO7oaezOtgFt+jBAcnVL+tuhiJdxqD89d9P6OU8/W7IVWTe/d
# vI2k45GPsjksUZzpcGkNyjYtcI4xyDUoveO0hyTD4MmPfrVUj9z6BVWYbWg7mka9
# 7aSueik3rMvrg0XnRm7KMtXAhjBcTyziYrLNueKNiOSWrAFKu75xqRdbZ2De+JKR
# Hh09/SDPc31BmkZ1zcRfNN0Sidb9pSB9fvzZnkXftnIv231fgLrbqn427DZM9itu
# qBJR6L8FA6PRc6ZNN3SUHDSCD/AQ8rdHGO2n6Jl8P0zbr17C89XYcz1DTsEzOUyO
# ArxCaC4Q6oRRRuLRvWoYWmEBc8pnol7XKHYC4jMYctenIPDC+hIK12NvDMk2ZItb
# oKaDIV1fMHSRlJTYuVD5C4lh8zYGNRiER9vcG9H9stQcxWv2XFJRXRLbJbqvUAV6
# bMURHXLvjflSxIUXk8A8FdsaN8cIFRg/eKtFtvUeh17aj54WcmnGrnu3tz5q4i6t
# AgMBAAGjggHdMIIB2TASBgkrBgEEAYI3FQEEBQIDAQABMCMGCSsGAQQBgjcVAgQW
# BBQqp1L+ZMSavoKRPEY1Kc8Q/y8E7jAdBgNVHQ4EFgQUn6cVXQBeYl2D9OXSZacb
# UzUZ6XIwXAYDVR0gBFUwUzBRBgwrBgEEAYI3TIN9AQEwQTA/BggrBgEFBQcCARYz
# aHR0cDovL3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9Eb2NzL1JlcG9zaXRvcnku
# aHRtMBMGA1UdJQQMMAoGCCsGAQUFBwMIMBkGCSsGAQQBgjcUAgQMHgoAUwB1AGIA
# QwBBMAsGA1UdDwQEAwIBhjAPBgNVHRMBAf8EBTADAQH/MB8GA1UdIwQYMBaAFNX2
# VsuP6KJcYmjRPZSQW9fOmhjEMFYGA1UdHwRPME0wS6BJoEeGRWh0dHA6Ly9jcmwu
# bWljcm9zb2Z0LmNvbS9wa2kvY3JsL3Byb2R1Y3RzL01pY1Jvb0NlckF1dF8yMDEw
# LTA2LTIzLmNybDBaBggrBgEFBQcBAQROMEwwSgYIKwYBBQUHMAKGPmh0dHA6Ly93
# d3cubWljcm9zb2Z0LmNvbS9wa2kvY2VydHMvTWljUm9vQ2VyQXV0XzIwMTAtMDYt
# MjMuY3J0MA0GCSqGSIb3DQEBCwUAA4ICAQCdVX38Kq3hLB9nATEkW+Geckv8qW/q
# XBS2Pk5HZHixBpOXPTEztTnXwnE2P9pkbHzQdTltuw8x5MKP+2zRoZQYIu7pZmc6
# U03dmLq2HnjYNi6cqYJWAAOwBb6J6Gngugnue99qb74py27YP0h1AdkY3m2CDPVt
# I1TkeFN1JFe53Z/zjj3G82jfZfakVqr3lbYoVSfQJL1AoL8ZthISEV09J+BAljis
# 9/kpicO8F7BUhUKz/AyeixmJ5/ALaoHCgRlCGVJ1ijbCHcNhcy4sa3tuPywJeBTp
# kbKpW99Jo3QMvOyRgNI95ko+ZjtPu4b6MhrZlvSP9pEB9s7GdP32THJvEKt1MMU0
# sHrYUP4KWN1APMdUbZ1jdEgssU5HLcEUBHG/ZPkkvnNtyo4JvbMBV0lUZNlz138e
# W0QBjloZkWsNn6Qo3GcZKCS6OEuabvshVGtqRRFHqfG3rsjoiV5PndLQTHa1V1QJ
# sWkBRH58oWFsc/4Ku+xBZj1p/cvBQUl+fpO+y/g75LcVv7TOPqUxUYS8vwLBgqJ7
# Fx0ViY1w/ue10CgaiQuPNtq6TPmb/wrpNPgkNWcr4A245oyZ1uEi6vAnQj0llOZ0
# dFtq0Z4+7X6gMTN9vMvpe784cETRkPHIqzqKOghif9lwY1NNje6CbaUFEMFxBmoQ
# tB1VM1izoXBm8qGCAtQwggI9AgEBMIIBAKGB2KSB1TCB0jELMAkGA1UEBhMCVVMx
# EzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoT
# FU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEtMCsGA1UECxMkTWljcm9zb2Z0IElyZWxh
# bmQgT3BlcmF0aW9ucyBMaW1pdGVkMSYwJAYDVQQLEx1UaGFsZXMgVFNTIEVTTjow
# ODQyLTRCRTYtQzI5QTElMCMGA1UEAxMcTWljcm9zb2Z0IFRpbWUtU3RhbXAgU2Vy
# dmljZaIjCgEBMAcGBSsOAwIaAxUAQqIfIYljHUbNoY0/wjhXRn/sSA2ggYMwgYCk
# fjB8MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMH
# UmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSYwJAYDVQQD
# Ex1NaWNyb3NvZnQgVGltZS1TdGFtcCBQQ0EgMjAxMDANBgkqhkiG9w0BAQUFAAIF
# AOmuLVwwIhgPMjAyNDAzMjcxMzMwMDRaGA8yMDI0MDMyODEzMzAwNFowdDA6Bgor
# BgEEAYRZCgQBMSwwKjAKAgUA6a4tXAIBADAHAgEAAgIGvzAHAgEAAgIjgTAKAgUA
# 6a9+3AIBADA2BgorBgEEAYRZCgQCMSgwJjAMBgorBgEEAYRZCgMCoAowCAIBAAID
# B6EgoQowCAIBAAIDAYagMA0GCSqGSIb3DQEBBQUAA4GBABIKaPrYLZPbZA89uLFj
# 0JkTbOB8hCMPNHta7Cmjb6px+A1dcZkjZWW/GlggtM2wQ8jLf5/0VZ0DJmIGqb/0
# xMgpnE5M7n6EWPwbFLXEUSRrtaWsdqMvMs0FkcGr6+e/OOcTsx1pUurFsyVB1Mir
# WoFl7AJ8m9PbeGfDWAOAq2t4MYIEDTCCBAkCAQEwgZMwfDELMAkGA1UEBhMCVVMx
# EzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoT
# FU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEmMCQGA1UEAxMdTWljcm9zb2Z0IFRpbWUt
# U3RhbXAgUENBIDIwMTACEzMAAAHajtXJWgDREbEAAQAAAdowDQYJYIZIAWUDBAIB
# BQCgggFKMBoGCSqGSIb3DQEJAzENBgsqhkiG9w0BCRABBDAvBgkqhkiG9w0BCQQx
# IgQgkocfH8bseTUSSM6sHqooPyTIGUU8P48VN10KD1MXeRYwgfoGCyqGSIb3DQEJ
# EAIvMYHqMIHnMIHkMIG9BCAipaNpYsDvnqTe95Dj1C09020I5ljibrW/ndICOxg9
# xjCBmDCBgKR+MHwxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAw
# DgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQgQ29ycG9yYXRpb24x
# JjAkBgNVBAMTHU1pY3Jvc29mdCBUaW1lLVN0YW1wIFBDQSAyMDEwAhMzAAAB2o7V
# yVoA0RGxAAEAAAHaMCIEIO9X5Ci5QOqB5PnH7G/DsVidmep/NEWoPCUYBANx2XQG
# MA0GCSqGSIb3DQEBCwUABIICADMviPWBVqC0QamqHVmHZmHCYUG1LV7OZAuXpLsX
# vkllDMFRz5pqPtCtYzVMwc0xTI+yQqa5XBCvWrSw0brXIcLBlJ8vYCftyiPynv8/
# t76cfI/Vh6lR9yB1lnLSAO1sczLK1pafj3tzG2znGYUkpjDyfGELlNoyndT8TCmz
# QJ66DXh5taBubV9psFw+qQWRqlfwg5kdeID5WrXD7dyTUfgQQEWJg8agc7+351cg
# 16WKYnk7hpQyh87RTHDgIwQZM1+uziZsKPORfhHT4LH0P+R6z5/oBnXbLcjQH0Kp
# hB1+w1Qdro+vT3qmdVJ5a8PIRwOi5O29RtwAc1o5Dii4dYW5Uj0XmbhHc26jV9Kq
# Tnza7OoF0oBMPQAdjHuPJECxyqjMvulMH+h5YWWgdcxZKDm9NAEdQK32LVbiDNXe
# qeyqbZHw8iKrfP9mhvmCEGOLOPHThLv/IuI8l4k/6ulp4rG4KTRhVMmxIlS2tfJM
# s20KmTjfUvIxp3WTHA3CHIoLU7DL/i+eR+kfoB1sKBk+omq/KwukeVlSci+fK2MJ
# 52TnRge6PUVvLWujJ0yseZ60h0y5AuoXsT5LbRc+36PFEQbpKwmD9z1SO6uf3EmK
# 1EUEFPQvz4LVZR6p9IB+ZCy4odcQQPb2gmVGkQZtvufV+bJZnESDU1vDfyr2GUF1
# HuHN
# SIG # End signature block
