#
# Module manifest for module 'Az.Network'
#
# Generated by: Microsoft Corporation
#
# Generated on: 03/27/2024
#

@{

# Script module or binary module file associated with this manifest.
RootModule = 'Az.Network.psm1'

# Version number of this module.
ModuleVersion = '7.4.1'

# Supported PSEditions
CompatiblePSEditions = 'Core', 'Desktop'

# ID used to uniquely identify this module
GUID = 'f554cfcd-9cbb-4021-b158-fe20f0497f82'

# Author of this module
Author = 'Microsoft Corporation'

# Company or vendor of this module
CompanyName = 'Microsoft Corporation'

# Copyright statement for this module
Copyright = 'Microsoft Corporation. All rights reserved.'

# Description of the functionality provided by this module
Description = 'Microsoft Azure PowerShell - Networking service cmdlets for Azure Resource Manager in Windows PowerShell and PowerShell Core.

For more information on Networking, please visit the following: https://learn.microsoft.com/azure/networking/networking-overview'

# Minimum version of the PowerShell engine required by this module
PowerShellVersion = '5.1'

# Name of the PowerShell host required by this module
# PowerShellHostName = ''

# Minimum version of the PowerShell host required by this module
# PowerShellHostVersion = ''

# Minimum version of Microsoft .NET Framework required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
DotNetFrameworkVersion = '4.7.2'

# Minimum version of the common language runtime (CLR) required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
# ClrVersion = ''

# Processor architecture (None, X86, Amd64) required by this module
# ProcessorArchitecture = ''

# Modules that must be imported into the global environment prior to importing this module
RequiredModules = @()

# Assemblies that must be loaded prior to importing this module
RequiredAssemblies = 'Microsoft.Azure.PowerShell.AutoMapper.dll', 
               'Microsoft.Azure.PowerShell.Network.Management.Sdk.dll'

# Script files (.ps1) that are run in the caller's environment prior to importing this module.
# ScriptsToProcess = @()

# Type files (.ps1xml) to be loaded when importing this module
# TypesToProcess = @()

# Format files (.ps1xml) to be loaded when importing this module
FormatsToProcess = 'Network.generated.format.ps1xml'

# Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
NestedModules = @()

# Functions to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no functions to export.
FunctionsToExport = @()

# Cmdlets to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no cmdlets to export.
CmdletsToExport = 'Add-AzApplicationGatewayAuthenticationCertificate', 
               'Add-AzApplicationGatewayBackendAddressPool', 
               'Add-AzApplicationGatewayBackendHttpSetting', 
               'Add-AzApplicationGatewayBackendSetting', 
               'Add-AzApplicationGatewayCustomError', 
               'Add-AzApplicationGatewayFrontendIPConfig', 
               'Add-AzApplicationGatewayFrontendPort', 
               'Add-AzApplicationGatewayHttpListener', 
               'Add-AzApplicationGatewayHttpListenerCustomError', 
               'Add-AzApplicationGatewayIPConfiguration', 
               'Add-AzApplicationGatewayListener', 
               'Add-AzApplicationGatewayPrivateLinkConfiguration', 
               'Add-AzApplicationGatewayProbeConfig', 
               'Add-AzApplicationGatewayRedirectConfiguration', 
               'Add-AzApplicationGatewayRequestRoutingRule', 
               'Add-AzApplicationGatewayRewriteRuleSet', 
               'Add-AzApplicationGatewayRoutingRule', 
               'Add-AzApplicationGatewaySslCertificate', 
               'Add-AzApplicationGatewaySslProfile', 
               'Add-AzApplicationGatewayTrustedClientCertificate', 
               'Add-AzApplicationGatewayTrustedRootCertificate', 
               'Add-AzApplicationGatewayUrlPathMapConfig', 'Add-AzDelegation', 
               'Add-AzExpressRouteCircuitAuthorization', 
               'Add-AzExpressRouteCircuitConnectionConfig', 
               'Add-AzExpressRouteCircuitPeeringConfig', 
               'Add-AzExpressRouteCrossConnectionPeering', 
               'Add-AzExpressRoutePortAuthorization', 
               'Add-AzLoadBalancerBackendAddressPoolConfig', 
               'Add-AzLoadBalancerFrontendIpConfig', 
               'Add-AzLoadBalancerInboundNatPoolConfig', 
               'Add-AzLoadBalancerInboundNatRuleConfig', 
               'Add-AzLoadBalancerOutboundRuleConfig', 
               'Add-AzLoadBalancerProbeConfig', 'Add-AzLoadBalancerRuleConfig', 
               'Add-AzNetworkInterfaceIpConfig', 'Add-AzNetworkInterfaceTapConfig', 
               'Add-AzNetworkSecurityRuleConfig', 'Add-AzRouteConfig', 
               'Add-AzRouteFilterRuleConfig', 'Add-AzRouteServerPeer', 
               'Add-AzRoutingPolicy', 'Add-AzServiceEndpointPolicyDefinition', 
               'Add-AzVirtualHubRoute', 'Add-AzVirtualHubRouteTable', 
               'Add-AzVirtualNetworkGatewayIpConfig', 
               'Add-AzVirtualNetworkPeering', 'Add-AzVirtualNetworkSubnetConfig', 
               'Add-AzVirtualRouterPeer', 'Add-AzVpnClientRevokedCertificate', 
               'Add-AzVpnClientRootCertificate', 
               'Approve-AzPrivateEndpointConnection', 
               'Deny-AzPrivateEndpointConnection', 'Deploy-AzNetworkManagerCommit', 
               'Disconnect-AzP2SVpnGatewayVpnConnection', 
               'Disconnect-AzVirtualNetworkGatewayVpnConnection', 
               'Get-AzApplicationGateway', 
               'Get-AzApplicationGatewayAuthenticationCertificate', 
               'Get-AzApplicationGatewayAutoscaleConfiguration', 
               'Get-AzApplicationGatewayAvailableServerVariableAndHeader', 
               'Get-AzApplicationGatewayAvailableSslOption', 
               'Get-AzApplicationGatewayAvailableWafRuleSet', 
               'Get-AzApplicationGatewayBackendAddressPool', 
               'Get-AzApplicationGatewayBackendHealth', 
               'Get-AzApplicationGatewayBackendHttpSetting', 
               'Get-AzApplicationGatewayBackendSetting', 
               'Get-AzApplicationGatewayClientAuthConfiguration', 
               'Get-AzApplicationGatewayConnectionDraining', 
               'Get-AzApplicationGatewayCustomError', 
               'Get-AzApplicationGatewayFirewallPolicy', 
               'Get-AzApplicationGatewayFrontendIPConfig', 
               'Get-AzApplicationGatewayFrontendPort', 
               'Get-AzApplicationGatewayHttpListener', 
               'Get-AzApplicationGatewayHttpListenerCustomError', 
               'Get-AzApplicationGatewayIdentity', 
               'Get-AzApplicationGatewayIPConfiguration', 
               'Get-AzApplicationGatewayListener', 
               'Get-AzApplicationGatewayPrivateLinkConfiguration', 
               'Get-AzApplicationGatewayProbeConfig', 
               'Get-AzApplicationGatewayRedirectConfiguration', 
               'Get-AzApplicationGatewayRequestRoutingRule', 
               'Get-AzApplicationGatewayRewriteRuleSet', 
               'Get-AzApplicationGatewayRoutingRule', 
               'Get-AzApplicationGatewaySku', 
               'Get-AzApplicationGatewaySslCertificate', 
               'Get-AzApplicationGatewaySslPolicy', 
               'Get-AzApplicationGatewaySslPredefinedPolicy', 
               'Get-AzApplicationGatewaySslProfile', 
               'Get-AzApplicationGatewaySslProfilePolicy', 
               'Get-AzApplicationGatewayTrustedClientCertificate', 
               'Get-AzApplicationGatewayTrustedRootCertificate', 
               'Get-AzApplicationGatewayUrlPathMapConfig', 
               'Get-AzApplicationGatewayWafDynamicManifest', 
               'Get-AzApplicationGatewayWebApplicationFirewallConfiguration', 
               'Get-AzApplicationSecurityGroup', 
               'Get-AzAutoApprovedPrivateLinkService', 
               'Get-AzAvailablePrivateEndpointType', 'Get-AzAvailableServiceAlias', 
               'Get-AzAvailableServiceDelegation', 'Get-AzBastion', 
               'Get-AzBgpServiceCommunity', 'Get-AzCustomIpPrefix', 
               'Get-AzDdosProtectionPlan', 'Get-AzDelegation', 
               'Get-AzEffectiveNetworkSecurityGroup', 'Get-AzEffectiveRouteTable', 
               'Get-AzExpressRouteCircuit', 'Get-AzExpressRouteCircuitARPTable', 
               'Get-AzExpressRouteCircuitAuthorization', 
               'Get-AzExpressRouteCircuitConnectionConfig', 
               'Get-AzExpressRouteCircuitPeeringConfig', 
               'Get-AzExpressRouteCircuitRouteTable', 
               'Get-AzExpressRouteCircuitRouteTableSummary', 
               'Get-AzExpressRouteCircuitStat', 'Get-AzExpressRouteConnection', 
               'Get-AzExpressRouteCrossConnection', 
               'Get-AzExpressRouteCrossConnectionArpTable', 
               'Get-AzExpressRouteCrossConnectionPeering', 
               'Get-AzExpressRouteCrossConnectionRouteTable', 
               'Get-AzExpressRouteCrossConnectionRouteTableSummary', 
               'Get-AzExpressRouteGateway', 'Get-AzExpressRoutePort', 
               'Get-AzExpressRoutePortAuthorization', 
               'Get-AzExpressRoutePortIdentity', 
               'Get-AzExpressRoutePortLinkConfig', 
               'Get-AzExpressRoutePortsLocation', 
               'Get-AzExpressRouteServiceProvider', 'Get-AzFirewall', 
               'Get-AzFirewallFqdnTag', 'Get-AzFirewallLearnedIpPrefix', 
               'Get-AzFirewallPolicy', 'Get-AzFirewallPolicyRuleCollectionGroup', 
               'Get-AzIpAllocation', 'Get-AzIpGroup', 'Get-AzLoadBalancer', 
               'Get-AzLoadBalancerBackendAddressInboundNatRulePortMapping', 
               'Get-AzLoadBalancerBackendAddressPool', 
               'Get-AzLoadBalancerBackendAddressPoolConfig', 
               'Get-AzLoadBalancerFrontendIpConfig', 
               'Get-AzLoadBalancerInboundNatPoolConfig', 
               'Get-AzLoadBalancerInboundNatRuleConfig', 
               'Get-AzLoadBalancerOutboundRuleConfig', 
               'Get-AzLoadBalancerProbeConfig', 'Get-AzLoadBalancerRuleConfig', 
               'Get-AzLocalNetworkGateway', 'Get-AzNatGateway', 
               'Get-AzNetworkInterface', 'Get-AzNetworkInterfaceIpConfig', 
               'Get-AzNetworkInterfaceTapConfig', 'Get-AzNetworkManager', 
               'Get-AzNetworkManagerActiveConnectivityConfiguration', 
               'Get-AzNetworkManagerActiveSecurityAdminRule', 
               'Get-AzNetworkManagerConnectivityConfiguration', 
               'Get-AzNetworkManagerDeploymentStatus', 
               'Get-AzNetworkManagerEffectiveConnectivityConfiguration', 
               'Get-AzNetworkManagerEffectiveSecurityAdminRule', 
               'Get-AzNetworkManagerGroup', 
               'Get-AzNetworkManagerManagementGroupConnection', 
               'Get-AzNetworkManagerScopeConnection', 
               'Get-AzNetworkManagerSecurityAdminConfiguration', 
               'Get-AzNetworkManagerSecurityAdminRule', 
               'Get-AzNetworkManagerSecurityAdminRuleCollection', 
               'Get-AzNetworkManagerStaticMember', 
               'Get-AzNetworkManagerSubscriptionConnection', 
               'Get-AzNetworkProfile', 'Get-AzNetworkSecurityGroup', 
               'Get-AzNetworkSecurityRuleConfig', 'Get-AzNetworkServiceTag', 
               'Get-AzNetworkUsage', 'Get-AzNetworkVirtualAppliance', 
               'Get-AzNetworkVirtualApplianceConnection', 
               'Get-AzNetworkVirtualApplianceSku', 'Get-AzNetworkWatcher', 
               'Get-AzNetworkWatcherConnectionMonitor', 
               'Get-AzNetworkWatcherConnectionMonitorReport', 
               'Get-AzNetworkWatcherFlowLog', 'Get-AzNetworkWatcherFlowLogStatus', 
               'Get-AzNetworkWatcherNextHop', 'Get-AzNetworkWatcherPacketCapture', 
               'Get-AzNetworkWatcherReachabilityProvidersList', 
               'Get-AzNetworkWatcherReachabilityReport', 
               'Get-AzNetworkWatcherSecurityGroupView', 
               'Get-AzNetworkWatcherTopology', 
               'Get-AzNetworkWatcherTroubleshootingResult', 'Get-AzP2sVpnGateway', 
               'Get-AzP2sVpnGatewayConnectionHealth', 
               'Get-AzP2sVpnGatewayDetailedConnectionHealth', 
               'Get-AzP2sVpnGatewayVpnProfile', 'Get-AzPrivateDnsZoneGroup', 
               'Get-AzPrivateEndpoint', 'Get-AzPrivateEndpointConnection', 
               'Get-AzPrivateLinkResource', 'Get-AzPrivateLinkService', 
               'Get-AzPublicIpAddress', 'Get-AzPublicIpPrefix', 'Get-AzRouteConfig', 
               'Get-AzRouteFilter', 'Get-AzRouteFilterRuleConfig', 'Get-AzRouteMap', 
               'Get-AzRouteServer', 'Get-AzRouteServerPeer', 
               'Get-AzRouteServerPeerAdvertisedRoute', 
               'Get-AzRouteServerPeerLearnedRoute', 'Get-AzRouteTable', 
               'Get-AzRoutingIntent', 'Get-AzRoutingPolicy', 
               'Get-AzSecurityPartnerProvider', 'Get-AzServiceEndpointPolicy', 
               'Get-AzServiceEndpointPolicyDefinition', 'Get-AzVHubEffectiveRoute', 
               'Get-AzVHubInboundRoute', 'Get-AzVHubOutboundRoute', 
               'Get-AzVHubRouteTable', 'Get-AzVirtualApplianceSite', 
               'Get-AzVirtualHub', 'Get-AzVirtualHubBgpConnection', 
               'Get-AzVirtualHubRouteTable', 'Get-AzVirtualHubVnetConnection', 
               'Get-AzVirtualNetwork', 
               'Get-AzVirtualNetworkAvailableEndpointService', 
               'Get-AzVirtualNetworkGateway', 
               'Get-AzVirtualNetworkGatewayAdvertisedRoute', 
               'Get-AzVirtualNetworkGatewayBGPPeerStatus', 
               'Get-AzVirtualNetworkGatewayConnection', 
               'Get-AzVirtualNetworkGatewayConnectionIkeSa', 
               'Get-AzVirtualNetworkGatewayConnectionSharedKey', 
               'Get-AzVirtualNetworkGatewayConnectionVpnDeviceConfigScript', 
               'Get-AzVirtualNetworkGatewayLearnedRoute', 
               'Get-AzVirtualNetworkGatewayNatRule', 
               'Get-AzVirtualNetworkGatewaySupportedVpnDevice', 
               'Get-AzVirtualNetworkGatewayVpnClientConnectionHealth', 
               'Get-AzVirtualNetworkPeering', 'Get-AzVirtualNetworkSubnetConfig', 
               'Get-AzVirtualNetworkTap', 'Get-AzVirtualNetworkUsageList', 
               'Get-AzVirtualRouter', 'Get-AzVirtualRouterPeer', 
               'Get-AzVirtualRouterPeerAdvertisedRoute', 
               'Get-AzVirtualRouterPeerLearnedRoute', 'Get-AzVirtualWan', 
               'Get-AzVirtualWanVpnConfiguration', 
               'Get-AzVirtualWanVpnServerConfiguration', 
               'Get-AzVirtualWanVpnServerConfigurationVpnProfile', 
               'Get-AzVpnClientConfiguration', 'Get-AzVpnClientIpsecParameter', 
               'Get-AzVpnClientPackage', 'Get-AzVpnClientRevokedCertificate', 
               'Get-AzVpnClientRootCertificate', 'Get-AzVpnConnection', 
               'Get-AzVpnGateway', 'Get-AzVpnGatewayNatRule', 
               'Get-AzVpnServerConfiguration', 
               'Get-AzVpnServerConfigurationPolicyGroup', 'Get-AzVpnSite', 
               'Get-AzVpnSiteLinkConnectionIkeSa', 
               'Invoke-AzNetworkWatcherNetworkConfigurationDiagnostic', 
               'Move-AzExpressRouteCircuit', 'New-AzApplicationGateway', 
               'New-AzApplicationGatewayAuthenticationCertificate', 
               'New-AzApplicationGatewayAutoscaleConfiguration', 
               'New-AzApplicationGatewayBackendAddressPool', 
               'New-AzApplicationGatewayBackendHttpSetting', 
               'New-AzApplicationGatewayBackendSetting', 
               'New-AzApplicationGatewayClientAuthConfiguration', 
               'New-AzApplicationGatewayConnectionDraining', 
               'New-AzApplicationGatewayCustomError', 
               'New-AzApplicationGatewayFirewallCondition', 
               'New-AzApplicationGatewayFirewallCustomRule', 
               'New-AzApplicationGatewayFirewallCustomRuleGroupByUserSession', 
               'New-AzApplicationGatewayFirewallCustomRuleGroupByVariable', 
               'New-AzApplicationGatewayFirewallDisabledRuleGroupConfig', 
               'New-AzApplicationGatewayFirewallExclusionConfig', 
               'New-AzApplicationGatewayFirewallMatchVariable', 
               'New-AzApplicationGatewayFirewallPolicy', 
               'New-AzApplicationGatewayFirewallPolicyExclusion', 
               'New-AzApplicationGatewayFirewallPolicyExclusionManagedRule', 
               'New-AzApplicationGatewayFirewallPolicyExclusionManagedRuleGroup', 
               'New-AzApplicationGatewayFirewallPolicyExclusionManagedRuleSet', 
               'New-AzApplicationGatewayFirewallPolicyLogScrubbingConfiguration', 
               'New-AzApplicationGatewayFirewallPolicyLogScrubbingRule', 
               'New-AzApplicationGatewayFirewallPolicyManagedRule', 
               'New-AzApplicationGatewayFirewallPolicyManagedRuleGroupOverride', 
               'New-AzApplicationGatewayFirewallPolicyManagedRuleOverride', 
               'New-AzApplicationGatewayFirewallPolicyManagedRuleSet', 
               'New-AzApplicationGatewayFirewallPolicySetting', 
               'New-AzApplicationGatewayFrontendIPConfig', 
               'New-AzApplicationGatewayFrontendPort', 
               'New-AzApplicationGatewayHttpListener', 
               'New-AzApplicationGatewayIdentity', 
               'New-AzApplicationGatewayIPConfiguration', 
               'New-AzApplicationGatewayListener', 
               'New-AzApplicationGatewayPathRuleConfig', 
               'New-AzApplicationGatewayPrivateLinkConfiguration', 
               'New-AzApplicationGatewayPrivateLinkIpConfiguration', 
               'New-AzApplicationGatewayProbeConfig', 
               'New-AzApplicationGatewayProbeHealthResponseMatch', 
               'New-AzApplicationGatewayRedirectConfiguration', 
               'New-AzApplicationGatewayRequestRoutingRule', 
               'New-AzApplicationGatewayRewriteRule', 
               'New-AzApplicationGatewayRewriteRuleActionSet', 
               'New-AzApplicationGatewayRewriteRuleCondition', 
               'New-AzApplicationGatewayRewriteRuleHeaderConfiguration', 
               'New-AzApplicationGatewayRewriteRuleSet', 
               'New-AzApplicationGatewayRewriteRuleUrlConfiguration', 
               'New-AzApplicationGatewayRoutingRule', 
               'New-AzApplicationGatewaySku', 
               'New-AzApplicationGatewaySslCertificate', 
               'New-AzApplicationGatewaySslPolicy', 
               'New-AzApplicationGatewaySslProfile', 
               'New-AzApplicationGatewayTrustedClientCertificate', 
               'New-AzApplicationGatewayTrustedRootCertificate', 
               'New-AzApplicationGatewayUrlPathMapConfig', 
               'New-AzApplicationGatewayWebApplicationFirewallConfiguration', 
               'New-AzApplicationSecurityGroup', 'New-AzBastion', 
               'New-AzContainerNicConfig', 'New-AzContainerNicConfigIpConfig', 
               'New-AzCustomIpPrefix', 'New-AzDdosProtectionPlan', 
               'New-AzDelegation', 'New-AzExpressRouteCircuit', 
               'New-AzExpressRouteCircuitAuthorization', 
               'New-AzExpressRouteCircuitPeeringConfig', 
               'New-AzExpressRouteConnection', 'New-AzExpressRouteGateway', 
               'New-AzExpressRoutePort', 'New-AzExpressRoutePortIdentity', 
               'New-AzExpressRoutePortLOA', 'New-AzFirewall', 
               'New-AzFirewallApplicationRule', 
               'New-AzFirewallApplicationRuleCollection', 
               'New-AzFirewallHubIpAddress', 'New-AzFirewallHubPublicIpAddress', 
               'New-AzFirewallNatRule', 'New-AzFirewallNatRuleCollection', 
               'New-AzFirewallNetworkRule', 'New-AzFirewallNetworkRuleCollection', 
               'New-AzFirewallPolicy', 'New-AzFirewallPolicyApplicationRule', 
               'New-AzFirewallPolicyApplicationRuleCustomHttpHeader', 
               'New-AzFirewallPolicyDnsSetting', 
               'New-AzFirewallPolicyExplicitProxy', 
               'New-AzFirewallPolicyFilterRuleCollection', 
               'New-AzFirewallPolicyIntrusionDetection', 
               'New-AzFirewallPolicyIntrusionDetectionBypassTraffic', 
               'New-AzFirewallPolicyIntrusionDetectionSignatureOverride', 
               'New-AzFirewallPolicyNatRule', 
               'New-AzFirewallPolicyNatRuleCollection', 
               'New-AzFirewallPolicyNetworkRule', 
               'New-AzFirewallPolicyRuleCollectionGroup', 
               'New-AzFirewallPolicySnat', 'New-AzFirewallPolicySqlSetting', 
               'New-AzFirewallPolicyThreatIntelWhitelist', 
               'New-AzFirewallPublicIpAddress', 
               'New-AzFirewallThreatIntelWhitelist', 
               'New-AzGatewayCustomBgpIpConfigurationObject', 'New-AzIpAllocation', 
               'New-AzIpConfigurationBgpPeeringAddressObject', 'New-AzIpGroup', 
               'New-AzIpsecPolicy', 'New-AzIpsecTrafficSelectorPolicy', 
               'New-AzLoadBalancer', 'New-AzLoadBalancerBackendAddressConfig', 
               'New-AzLoadBalancerBackendAddressPool', 
               'New-AzLoadBalancerBackendAddressPoolConfig', 
               'New-AzLoadBalancerBackendAddressPoolTunnelInterfaceConfig', 
               'New-AzLoadBalancerFrontendIpConfig', 
               'New-AzLoadBalancerInboundNatPoolConfig', 
               'New-AzLoadBalancerInboundNatRuleConfig', 
               'New-AzLoadBalancerOutboundRuleConfig', 
               'New-AzLoadBalancerProbeConfig', 'New-AzLoadBalancerRuleConfig', 
               'New-AzLocalNetworkGateway', 'New-AzNatGateway', 
               'New-AzNetworkInterface', 'New-AzNetworkInterfaceIpConfig', 
               'New-AzNetworkManager', 'New-AzNetworkManagerAddressPrefixItem', 
               'New-AzNetworkManagerConnectivityConfiguration', 
               'New-AzNetworkManagerConnectivityGroupItem', 
               'New-AzNetworkManagerGroup', 'New-AzNetworkManagerHub', 
               'New-AzNetworkManagerManagementGroupConnection', 
               'New-AzNetworkManagerScope', 'New-AzNetworkManagerScopeConnection', 
               'New-AzNetworkManagerSecurityAdminConfiguration', 
               'New-AzNetworkManagerSecurityAdminRule', 
               'New-AzNetworkManagerSecurityAdminRuleCollection', 
               'New-AzNetworkManagerSecurityGroupItem', 
               'New-AzNetworkManagerStaticMember', 
               'New-AzNetworkManagerSubscriptionConnection', 
               'New-AzNetworkProfile', 'New-AzNetworkSecurityGroup', 
               'New-AzNetworkSecurityRuleConfig', 'New-AzNetworkVirtualAppliance', 
               'New-AzNetworkWatcher', 'New-AzNetworkWatcherConnectionMonitor', 
               'New-AzNetworkWatcherConnectionMonitorEndpointObject', 
               'New-AzNetworkWatcherConnectionMonitorEndpointScopeItemObject', 
               'New-AzNetworkWatcherConnectionMonitorObject', 
               'New-AzNetworkWatcherConnectionMonitorOutputObject', 
               'New-AzNetworkWatcherConnectionMonitorProtocolConfigurationObject', 
               'New-AzNetworkWatcherConnectionMonitorTestConfigurationObject', 
               'New-AzNetworkWatcherConnectionMonitorTestGroupObject', 
               'New-AzNetworkWatcherFlowLog', 
               'New-AzNetworkWatcherNetworkConfigurationDiagnosticProfile', 
               'New-AzNetworkWatcherPacketCapture', 
               'New-AzNetworkWatcherPacketCaptureV2', 
               'New-AzNetworkWatcherProtocolConfiguration', 
               'New-AzO365PolicyProperty', 'New-AzOffice365PolicyProperty', 
               'New-AzP2sVpnGateway', 'New-AzPacketCaptureFilterConfig', 
               'New-AzPacketCaptureScopeConfig', 'New-AzPrivateDnsZoneConfig', 
               'New-AzPrivateDnsZoneGroup', 'New-AzPrivateEndpoint', 
               'New-AzPrivateEndpointIpConfiguration', 'New-AzPrivateLinkService', 
               'New-AzPrivateLinkServiceConnection', 
               'New-AzPrivateLinkServiceIpConfig', 'New-AzPublicIpAddress', 
               'New-AzPublicIpPrefix', 'New-AzPublicIpTag', 'New-AzRadiusServer', 
               'New-AzRouteConfig', 'New-AzRouteFilter', 
               'New-AzRouteFilterRuleConfig', 'New-AzRouteMap', 'New-AzRouteMapRule', 
               'New-AzRouteMapRuleAction', 'New-AzRouteMapRuleActionParameter', 
               'New-AzRouteMapRuleCriterion', 'New-AzRouteServer', 
               'New-AzRouteTable', 'New-AzRoutingConfiguration', 
               'New-AzRoutingIntent', 'New-AzRoutingPolicy', 
               'New-AzSaaSNetworkVirtualAppliance', 
               'New-AzSecurityPartnerProvider', 'New-AzServiceEndpointPolicy', 
               'New-AzServiceEndpointPolicyDefinition', 'New-AzStaticRoute', 
               'New-AzVHubRoute', 'New-AzVHubRouteTable', 
               'New-AzVirtualApplianceAdditionalNicProperty', 
               'New-AzVirtualApplianceSite', 'New-AzVirtualApplianceSkuProperty', 
               'New-AzVirtualHub', 'New-AzVirtualHubBgpConnection', 
               'New-AzVirtualHubRoute', 'New-AzVirtualHubRouteTable', 
               'New-AzVirtualHubVnetConnection', 'New-AzVirtualNetwork', 
               'New-AzVirtualNetworkGateway', 
               'New-AzVirtualNetworkGatewayConnection', 
               'New-AzVirtualNetworkGatewayIpConfig', 
               'New-AzVirtualNetworkGatewayNatRule', 
               'New-AzVirtualNetworkGatewayPolicyGroup', 
               'New-AzVirtualNetworkGatewayPolicyGroupMember', 
               'New-AzVirtualNetworkSubnetConfig', 'New-AzVirtualNetworkTap', 
               'New-AzVirtualRouter', 'New-AzVirtualRouterAutoScaleConfiguration', 
               'New-AzVirtualWan', 'New-AzVpnClientConfiguration', 
               'New-AzVpnClientConnectionConfiguration', 
               'New-AzVpnClientIpsecParameter', 'New-AzVpnClientIpsecPolicy', 
               'New-AzVpnClientRevokedCertificate', 
               'New-AzVpnClientRootCertificate', 'New-AzVpnConnection', 
               'New-AzVpnGateway', 'New-AzVpnGatewayNatRule', 
               'New-AzVpnServerConfiguration', 
               'New-AzVpnServerConfigurationPolicyGroup', 'New-AzVpnSite', 
               'New-AzVpnSiteLink', 'New-AzVpnSiteLinkConnection', 
               'Remove-AzApplicationGateway', 
               'Remove-AzApplicationGatewayAuthenticationCertificate', 
               'Remove-AzApplicationGatewayAutoscaleConfiguration', 
               'Remove-AzApplicationGatewayBackendAddressPool', 
               'Remove-AzApplicationGatewayBackendHttpSetting', 
               'Remove-AzApplicationGatewayBackendSetting', 
               'Remove-AzApplicationGatewayClientAuthConfiguration', 
               'Remove-AzApplicationGatewayConnectionDraining', 
               'Remove-AzApplicationGatewayCustomError', 
               'Remove-AzApplicationGatewayFirewallCustomRule', 
               'Remove-AzApplicationGatewayFirewallPolicy', 
               'Remove-AzApplicationGatewayFrontendIPConfig', 
               'Remove-AzApplicationGatewayFrontendPort', 
               'Remove-AzApplicationGatewayHttpListener', 
               'Remove-AzApplicationGatewayHttpListenerCustomError', 
               'Remove-AzApplicationGatewayIdentity', 
               'Remove-AzApplicationGatewayIPConfiguration', 
               'Remove-AzApplicationGatewayListener', 
               'Remove-AzApplicationGatewayPrivateLinkConfiguration', 
               'Remove-AzApplicationGatewayProbeConfig', 
               'Remove-AzApplicationGatewayRedirectConfiguration', 
               'Remove-AzApplicationGatewayRequestRoutingRule', 
               'Remove-AzApplicationGatewayRewriteRuleSet', 
               'Remove-AzApplicationGatewayRoutingRule', 
               'Remove-AzApplicationGatewaySslCertificate', 
               'Remove-AzApplicationGatewaySslPolicy', 
               'Remove-AzApplicationGatewaySslProfile', 
               'Remove-AzApplicationGatewaySslProfilePolicy', 
               'Remove-AzApplicationGatewayTrustedClientCertificate', 
               'Remove-AzApplicationGatewayTrustedRootCertificate', 
               'Remove-AzApplicationGatewayUrlPathMapConfig', 
               'Remove-AzApplicationSecurityGroup', 'Remove-AzBastion', 
               'Remove-AzCustomIpPrefix', 'Remove-AzDdosProtectionPlan', 
               'Remove-AzDelegation', 'Remove-AzExpressRouteCircuit', 
               'Remove-AzExpressRouteCircuitAuthorization', 
               'Remove-AzExpressRouteCircuitConnectionConfig', 
               'Remove-AzExpressRouteCircuitPeeringConfig', 
               'Remove-AzExpressRouteConnection', 
               'Remove-AzExpressRouteCrossConnectionPeering', 
               'Remove-AzExpressRouteGateway', 'Remove-AzExpressRoutePort', 
               'Remove-AzExpressRoutePortAuthorization', 
               'Remove-AzExpressRoutePortIdentity', 'Remove-AzFirewall', 
               'Remove-AzFirewallPolicy', 
               'Remove-AzFirewallPolicyRuleCollectionGroup', 
               'Remove-AzIpAllocation', 'Remove-AzIpGroup', 'Remove-AzLoadBalancer', 
               'Remove-AzLoadBalancerBackendAddressPool', 
               'Remove-AzLoadBalancerBackendAddressPoolConfig', 
               'Remove-AzLoadBalancerFrontendIpConfig', 
               'Remove-AzLoadBalancerInboundNatPoolConfig', 
               'Remove-AzLoadBalancerInboundNatRuleConfig', 
               'Remove-AzLoadBalancerOutboundRuleConfig', 
               'Remove-AzLoadBalancerProbeConfig', 
               'Remove-AzLoadBalancerRuleConfig', 'Remove-AzLocalNetworkGateway', 
               'Remove-AzNatGateway', 'Remove-AzNetworkInterface', 
               'Remove-AzNetworkInterfaceIpConfig', 
               'Remove-AzNetworkInterfaceTapConfig', 'Remove-AzNetworkManager', 
               'Remove-AzNetworkManagerConnectivityConfiguration', 
               'Remove-AzNetworkManagerGroup', 
               'Remove-AzNetworkManagerManagementGroupConnection', 
               'Remove-AzNetworkManagerScopeConnection', 
               'Remove-AzNetworkManagerSecurityAdminConfiguration', 
               'Remove-AzNetworkManagerSecurityAdminRule', 
               'Remove-AzNetworkManagerSecurityAdminRuleCollection', 
               'Remove-AzNetworkManagerStaticMember', 
               'Remove-AzNetworkManagerSubscriptionConnection', 
               'Remove-AzNetworkProfile', 'Remove-AzNetworkSecurityGroup', 
               'Remove-AzNetworkSecurityRuleConfig', 
               'Remove-AzNetworkVirtualAppliance', 'Remove-AzNetworkWatcher', 
               'Remove-AzNetworkWatcherConnectionMonitor', 
               'Remove-AzNetworkWatcherFlowLog', 
               'Remove-AzNetworkWatcherPacketCapture', 'Remove-AzP2sVpnGateway', 
               'Remove-AzPrivateDnsZoneGroup', 'Remove-AzPrivateEndpoint', 
               'Remove-AzPrivateEndpointConnection', 'Remove-AzPrivateLinkService', 
               'Remove-AzPublicIpAddress', 'Remove-AzPublicIpPrefix', 
               'Remove-AzRouteConfig', 'Remove-AzRouteFilter', 
               'Remove-AzRouteFilterRuleConfig', 'Remove-AzRouteMap', 
               'Remove-AzRouteServer', 'Remove-AzRouteServerPeer', 
               'Remove-AzRouteTable', 'Remove-AzRoutingIntent', 
               'Remove-AzRoutingPolicy', 'Remove-AzSecurityPartnerProvider', 
               'Remove-AzServiceEndpointPolicy', 
               'Remove-AzServiceEndpointPolicyDefinition', 
               'Remove-AzVHubRouteTable', 'Remove-AzVirtualApplianceSite', 
               'Remove-AzVirtualHub', 'Remove-AzVirtualHubBgpConnection', 
               'Remove-AzVirtualHubRouteTable', 
               'Remove-AzVirtualHubVnetConnection', 'Remove-AzVirtualNetwork', 
               'Remove-AzVirtualNetworkGateway', 
               'Remove-AzVirtualNetworkGatewayConnection', 
               'Remove-AzVirtualNetworkGatewayDefaultSite', 
               'Remove-AzVirtualNetworkGatewayIpConfig', 
               'Remove-AzVirtualNetworkGatewayNatRule', 
               'Remove-AzVirtualNetworkPeering', 
               'Remove-AzVirtualNetworkSubnetConfig', 'Remove-AzVirtualNetworkTap', 
               'Remove-AzVirtualRouter', 'Remove-AzVirtualRouterPeer', 
               'Remove-AzVirtualWan', 'Remove-AzVpnClientIpsecParameter', 
               'Remove-AzVpnClientRevokedCertificate', 
               'Remove-AzVpnClientRootCertificate', 'Remove-AzVpnConnection', 
               'Remove-AzVpnGateway', 'Remove-AzVpnGatewayNatRule', 
               'Remove-AzVpnServerConfiguration', 
               'Remove-AzVpnServerConfigurationPolicyGroup', 'Remove-AzVpnSite', 
               'Reset-AzHubRouter', 'Reset-AzP2sVpnGateway', 
               'Reset-AzVirtualNetworkGateway', 
               'Reset-AzVirtualNetworkGatewayConnection', 
               'Reset-AzVirtualNetworkGatewayConnectionSharedKey', 
               'Reset-AzVpnGateway', 'Reset-AzVpnSiteLinkConnection', 
               'Resize-AzVirtualNetworkGateway', 'Set-AzApplicationGateway', 
               'Set-AzApplicationGatewayAuthenticationCertificate', 
               'Set-AzApplicationGatewayAutoscaleConfiguration', 
               'Set-AzApplicationGatewayBackendAddressPool', 
               'Set-AzApplicationGatewayBackendHttpSetting', 
               'Set-AzApplicationGatewayBackendSetting', 
               'Set-AzApplicationGatewayClientAuthConfiguration', 
               'Set-AzApplicationGatewayConnectionDraining', 
               'Set-AzApplicationGatewayCustomError', 
               'Set-AzApplicationGatewayFirewallPolicy', 
               'Set-AzApplicationGatewayFrontendIPConfig', 
               'Set-AzApplicationGatewayFrontendPort', 
               'Set-AzApplicationGatewayHttpListener', 
               'Set-AzApplicationGatewayHttpListenerCustomError', 
               'Set-AzApplicationGatewayIdentity', 
               'Set-AzApplicationGatewayIPConfiguration', 
               'Set-AzApplicationGatewayListener', 
               'Set-AzApplicationGatewayPrivateLinkConfiguration', 
               'Set-AzApplicationGatewayProbeConfig', 
               'Set-AzApplicationGatewayRedirectConfiguration', 
               'Set-AzApplicationGatewayRequestRoutingRule', 
               'Set-AzApplicationGatewayRewriteRuleSet', 
               'Set-AzApplicationGatewayRoutingRule', 
               'Set-AzApplicationGatewaySku', 
               'Set-AzApplicationGatewaySslCertificate', 
               'Set-AzApplicationGatewaySslPolicy', 
               'Set-AzApplicationGatewaySslProfile', 
               'Set-AzApplicationGatewaySslProfilePolicy', 
               'Set-AzApplicationGatewayTrustedClientCertificate', 
               'Set-AzApplicationGatewayTrustedRootCertificate', 
               'Set-AzApplicationGatewayUrlPathMapConfig', 
               'Set-AzApplicationGatewayWebApplicationFirewallConfiguration', 
               'Set-AzBastion', 'Set-AzExpressRouteCircuit', 
               'Set-AzExpressRouteCircuitConnectionConfig', 
               'Set-AzExpressRouteCircuitPeeringConfig', 
               'Set-AzExpressRouteConnection', 'Set-AzExpressRouteCrossConnection', 
               'Set-AzExpressRouteGateway', 'Set-AzExpressRoutePort', 
               'Set-AzExpressRoutePortIdentity', 'Set-AzFirewall', 
               'Set-AzFirewallPolicy', 'Set-AzFirewallPolicyRuleCollectionGroup', 
               'Set-AzIpAllocation', 'Set-AzIpGroup', 'Set-AzLoadBalancer', 
               'Set-AzLoadBalancerBackendAddressPool', 
               'Set-AzLoadBalancerFrontendIpConfig', 
               'Set-AzLoadBalancerInboundNatPoolConfig', 
               'Set-AzLoadBalancerInboundNatRuleConfig', 
               'Set-AzLoadBalancerOutboundRuleConfig', 
               'Set-AzLoadBalancerProbeConfig', 'Set-AzLoadBalancerRuleConfig', 
               'Set-AzLocalNetworkGateway', 'Set-AzNatGateway', 
               'Set-AzNetworkInterface', 'Set-AzNetworkInterfaceIpConfig', 
               'Set-AzNetworkInterfaceTapConfig', 'Set-AzNetworkManager', 
               'Set-AzNetworkManagerConnectivityConfiguration', 
               'Set-AzNetworkManagerGroup', 
               'Set-AzNetworkManagerManagementGroupConnection', 
               'Set-AzNetworkManagerScopeConnection', 
               'Set-AzNetworkManagerSecurityAdminConfiguration', 
               'Set-AzNetworkManagerSecurityAdminRule', 
               'Set-AzNetworkManagerSecurityAdminRuleCollection', 
               'Set-AzNetworkManagerSubscriptionConnection', 
               'Set-AzNetworkProfile', 'Set-AzNetworkSecurityGroup', 
               'Set-AzNetworkSecurityRuleConfig', 
               'Set-AzNetworkWatcherConfigFlowLog', 
               'Set-AzNetworkWatcherConnectionMonitor', 
               'Set-AzNetworkWatcherFlowLog', 'Set-AzPrivateDnsZoneGroup', 
               'Set-AzPrivateEndpoint', 'Set-AzPrivateEndpointConnection', 
               'Set-AzPrivateLinkService', 'Set-AzPublicIpAddress', 
               'Set-AzPublicIpPrefix', 'Set-AzRouteConfig', 'Set-AzRouteFilter', 
               'Set-AzRouteFilterRuleConfig', 'Set-AzRouteTable', 
               'Set-AzRoutingIntent', 'Set-AzRoutingPolicy', 
               'Set-AzSecurityPartnerProvider', 'Set-AzServiceEndpointPolicy', 
               'Set-AzServiceEndpointPolicyDefinition', 'Set-AzVirtualHub', 
               'Set-AzVirtualNetwork', 'Set-AzVirtualNetworkGateway', 
               'Set-AzVirtualNetworkGatewayConnection', 
               'Set-AzVirtualNetworkGatewayConnectionSharedKey', 
               'Set-AzVirtualNetworkGatewayDefaultSite', 
               'Set-AzVirtualNetworkPeering', 'Set-AzVirtualNetworkSubnetConfig', 
               'Set-AzVirtualNetworkTap', 'Set-AzVpnClientIpsecParameter', 
               'Start-AzApplicationGateway', 
               'Start-AzNetworkWatcherConnectionMonitor', 
               'Start-AzNetworkWatcherResourceTroubleshooting', 
               'Start-AzVirtualNetworkGatewayConnectionPacketCapture', 
               'Start-AzVirtualnetworkGatewayPacketCapture', 
               'Start-AzVpnConnectionPacketCapture', 
               'Start-AzVpnGatewayPacketCapture', 'Stop-AzApplicationGateway', 
               'Stop-AzNetworkWatcherConnectionMonitor', 
               'Stop-AzNetworkWatcherPacketCapture', 
               'Stop-AzVirtualNetworkGatewayConnectionPacketCapture', 
               'Stop-AzVirtualNetworkGatewayPacketCapture', 
               'Stop-AzVpnConnectionPacketCapture', 
               'Stop-AzVpnGatewayPacketCapture', 'Sync-AzVirtualNetworkPeering', 
               'Test-AzDnsAvailability', 'Test-AzNetworkWatcherConnectivity', 
               'Test-AzNetworkWatcherIPFlow', 
               'Test-AzPrivateIPAddressAvailability', 
               'Test-AzPrivateLinkServiceVisibility', 'Update-AzCustomIpPrefix', 
               'Update-AzNetworkVirtualApplianceConnection', 
               'New-AzVirtualApplianceInternetIngressIpsProperty', 
               'New-AzFirewallPacketCaptureRule', 
               'New-AzFirewallPacketCaptureParameter', 
               'Invoke-AzFirewallPacketCapture', 
               'Update-AzNetworkVirtualAppliance', 'Update-AzP2sVpnGateway', 
               'Update-AzRouteMap', 'Update-AzRouteServer', 
               'Update-AzRouteServerPeer', 'Update-AzVHubRouteTable', 
               'Update-AzVirtualApplianceSite', 'Update-AzVirtualHub', 
               'Update-AzVirtualHubBgpConnection', 
               'Update-AzVirtualHubVnetConnection', 
               'Update-AzVirtualNetworkGatewayNatRule', 'Update-AzVirtualRouter', 
               'Update-AzVirtualRouterPeer', 'Update-AzVirtualWan', 
               'Update-AzVpnConnection', 'Update-AzVpnGateway', 
               'Update-AzVpnGatewayNatRule', 'Update-AzVpnServerConfiguration', 
               'Update-AzVpnServerConfigurationPolicyGroup', 'Update-AzVpnSite'

# Variables to export from this module
# VariablesToExport = @()

# Aliases to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no aliases to export.
AliasesToExport = 'Add-AzApplicationGatewayBackendHttpSettings', 
               'Get-AzApplicationGatewayAvailableSslOptions', 
               'Get-AzApplicationGatewayAvailableWafRuleSets', 
               'Get-AzApplicationGatewayBackendHttpSettings', 
               'Get-AzExpressRouteCircuitStats', 'Get-AzInterfaceEndpoint', 
               'List-AzApplicationGatewayAvailableServerVariableAndHeader', 
               'List-AzApplicationGatewayAvailableSslOptions', 
               'List-AzApplicationGatewayAvailableWafRuleSets', 
               'List-AzApplicationGatewaySslPredefinedPolicy', 
               'New-AzApplicationGatewayBackendHttpSettings', 
               'New-AzFirewallThreatIntelWhitelistObject', 
               'Remove-AzApplicationGatewayBackendHttpSettings', 
               'Set-AzApplicationGatewayBackendHttpSettings'

# DSC resources to export from this module
# DscResourcesToExport = @()

# List of all modules packaged with this module
# ModuleList = @()

# List of all files packaged with this module
# FileList = @()

# Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
PrivateData = @{

    PSData = @{

        # Tags applied to this module. These help with module discovery in online galleries.
        Tags = 'Azure','ResourceManager','ARM','Network','VirtualNetwork'

        # A URL to the license for this module.
        LicenseUri = 'https://aka.ms/azps-license'

        # A URL to the main website for this project.
        ProjectUri = 'https://github.com/Azure/azure-powershell'

        # A URL to an icon representing this module.
        # IconUri = ''

        # ReleaseNotes of this module
        ReleaseNotes = '* Fixed a bug caused by the introduction of the new property ''GlobalConfiguration'' in ''PSApplicationGateway'''

        # Prerelease string of this module
        # Prerelease = ''

        # Flag to indicate whether the module requires explicit user acceptance for install/update/save
        # RequireLicenseAcceptance = $false

        # External dependent modules of this module
        # ExternalModuleDependencies = @()

    } # End of PSData hashtable

 } # End of PrivateData hashtable

# HelpInfo URI of this module
# HelpInfoURI = ''

# Default prefix for commands exported from this module. Override the default prefix using Import-Module -Prefix.
# DefaultCommandPrefix = ''

}


# SIG # Begin signature block
# MIIoOQYJKoZIhvcNAQcCoIIoKjCCKCYCAQExDzANBglghkgBZQMEAgEFADB5Bgor
# BgEEAYI3AgEEoGswaTA0BgorBgEEAYI3AgEeMCYCAwEAAAQQH8w7YFlLCE63JNLG
# KX7zUQIBAAIBAAIBAAIBAAIBADAxMA0GCWCGSAFlAwQCAQUABCBZRrA+zvEEavjA
# kk67TQr+ycoFaJ9ORWAsvTsIujJBgaCCDYUwggYDMIID66ADAgECAhMzAAADri01
# UchTj1UdAAAAAAOuMA0GCSqGSIb3DQEBCwUAMH4xCzAJBgNVBAYTAlVTMRMwEQYD
# VQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBDb2RlIFNpZ25p
# bmcgUENBIDIwMTEwHhcNMjMxMTE2MTkwODU5WhcNMjQxMTE0MTkwODU5WjB0MQsw
# CQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9u
# ZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMR4wHAYDVQQDExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIB
# AQD0IPymNjfDEKg+YyE6SjDvJwKW1+pieqTjAY0CnOHZ1Nj5irGjNZPMlQ4HfxXG
# yAVCZcEWE4x2sZgam872R1s0+TAelOtbqFmoW4suJHAYoTHhkznNVKpscm5fZ899
# QnReZv5WtWwbD8HAFXbPPStW2JKCqPcZ54Y6wbuWV9bKtKPImqbkMcTejTgEAj82
# 6GQc6/Th66Koka8cUIvz59e/IP04DGrh9wkq2jIFvQ8EDegw1B4KyJTIs76+hmpV
# M5SwBZjRs3liOQrierkNVo11WuujB3kBf2CbPoP9MlOyyezqkMIbTRj4OHeKlamd
# WaSFhwHLJRIQpfc8sLwOSIBBAgMBAAGjggGCMIIBfjAfBgNVHSUEGDAWBgorBgEE
# AYI3TAgBBggrBgEFBQcDAzAdBgNVHQ4EFgQUhx/vdKmXhwc4WiWXbsf0I53h8T8w
# VAYDVR0RBE0wS6RJMEcxLTArBgNVBAsTJE1pY3Jvc29mdCBJcmVsYW5kIE9wZXJh
# dGlvbnMgTGltaXRlZDEWMBQGA1UEBRMNMjMwMDEyKzUwMTgzNjAfBgNVHSMEGDAW
# gBRIbmTlUAXTgqoXNzcitW2oynUClTBUBgNVHR8ETTBLMEmgR6BFhkNodHRwOi8v
# d3d3Lm1pY3Jvc29mdC5jb20vcGtpb3BzL2NybC9NaWNDb2RTaWdQQ0EyMDExXzIw
# MTEtMDctMDguY3JsMGEGCCsGAQUFBwEBBFUwUzBRBggrBgEFBQcwAoZFaHR0cDov
# L3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9jZXJ0cy9NaWNDb2RTaWdQQ0EyMDEx
# XzIwMTEtMDctMDguY3J0MAwGA1UdEwEB/wQCMAAwDQYJKoZIhvcNAQELBQADggIB
# AGrJYDUS7s8o0yNprGXRXuAnRcHKxSjFmW4wclcUTYsQZkhnbMwthWM6cAYb/h2W
# 5GNKtlmj/y/CThe3y/o0EH2h+jwfU/9eJ0fK1ZO/2WD0xi777qU+a7l8KjMPdwjY
# 0tk9bYEGEZfYPRHy1AGPQVuZlG4i5ymJDsMrcIcqV8pxzsw/yk/O4y/nlOjHz4oV
# APU0br5t9tgD8E08GSDi3I6H57Ftod9w26h0MlQiOr10Xqhr5iPLS7SlQwj8HW37
# ybqsmjQpKhmWul6xiXSNGGm36GarHy4Q1egYlxhlUnk3ZKSr3QtWIo1GGL03hT57
# xzjL25fKiZQX/q+II8nuG5M0Qmjvl6Egltr4hZ3e3FQRzRHfLoNPq3ELpxbWdH8t
# Nuj0j/x9Crnfwbki8n57mJKI5JVWRWTSLmbTcDDLkTZlJLg9V1BIJwXGY3i2kR9i
# 5HsADL8YlW0gMWVSlKB1eiSlK6LmFi0rVH16dde+j5T/EaQtFz6qngN7d1lvO7uk
# 6rtX+MLKG4LDRsQgBTi6sIYiKntMjoYFHMPvI/OMUip5ljtLitVbkFGfagSqmbxK
# 7rJMhC8wiTzHanBg1Rrbff1niBbnFbbV4UDmYumjs1FIpFCazk6AADXxoKCo5TsO
# zSHqr9gHgGYQC2hMyX9MGLIpowYCURx3L7kUiGbOiMwaMIIHejCCBWKgAwIBAgIK
# YQ6Q0gAAAAAAAzANBgkqhkiG9w0BAQsFADCBiDELMAkGA1UEBhMCVVMxEzARBgNV
# BAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jv
# c29mdCBDb3Jwb3JhdGlvbjEyMDAGA1UEAxMpTWljcm9zb2Z0IFJvb3QgQ2VydGlm
# aWNhdGUgQXV0aG9yaXR5IDIwMTEwHhcNMTEwNzA4MjA1OTA5WhcNMjYwNzA4MjEw
# OTA5WjB+MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UE
# BxMHUmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSgwJgYD
# VQQDEx9NaWNyb3NvZnQgQ29kZSBTaWduaW5nIFBDQSAyMDExMIICIjANBgkqhkiG
# 9w0BAQEFAAOCAg8AMIICCgKCAgEAq/D6chAcLq3YbqqCEE00uvK2WCGfQhsqa+la
# UKq4BjgaBEm6f8MMHt03a8YS2AvwOMKZBrDIOdUBFDFC04kNeWSHfpRgJGyvnkmc
# 6Whe0t+bU7IKLMOv2akrrnoJr9eWWcpgGgXpZnboMlImEi/nqwhQz7NEt13YxC4D
# dato88tt8zpcoRb0RrrgOGSsbmQ1eKagYw8t00CT+OPeBw3VXHmlSSnnDb6gE3e+
# lD3v++MrWhAfTVYoonpy4BI6t0le2O3tQ5GD2Xuye4Yb2T6xjF3oiU+EGvKhL1nk
# kDstrjNYxbc+/jLTswM9sbKvkjh+0p2ALPVOVpEhNSXDOW5kf1O6nA+tGSOEy/S6
# A4aN91/w0FK/jJSHvMAhdCVfGCi2zCcoOCWYOUo2z3yxkq4cI6epZuxhH2rhKEmd
# X4jiJV3TIUs+UsS1Vz8kA/DRelsv1SPjcF0PUUZ3s/gA4bysAoJf28AVs70b1FVL
# 5zmhD+kjSbwYuER8ReTBw3J64HLnJN+/RpnF78IcV9uDjexNSTCnq47f7Fufr/zd
# sGbiwZeBe+3W7UvnSSmnEyimp31ngOaKYnhfsi+E11ecXL93KCjx7W3DKI8sj0A3
# T8HhhUSJxAlMxdSlQy90lfdu+HggWCwTXWCVmj5PM4TasIgX3p5O9JawvEagbJjS
# 4NaIjAsCAwEAAaOCAe0wggHpMBAGCSsGAQQBgjcVAQQDAgEAMB0GA1UdDgQWBBRI
# bmTlUAXTgqoXNzcitW2oynUClTAZBgkrBgEEAYI3FAIEDB4KAFMAdQBiAEMAQTAL
# BgNVHQ8EBAMCAYYwDwYDVR0TAQH/BAUwAwEB/zAfBgNVHSMEGDAWgBRyLToCMZBD
# uRQFTuHqp8cx0SOJNDBaBgNVHR8EUzBRME+gTaBLhklodHRwOi8vY3JsLm1pY3Jv
# c29mdC5jb20vcGtpL2NybC9wcm9kdWN0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFf
# MDNfMjIuY3JsMF4GCCsGAQUFBwEBBFIwUDBOBggrBgEFBQcwAoZCaHR0cDovL3d3
# dy5taWNyb3NvZnQuY29tL3BraS9jZXJ0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFf
# MDNfMjIuY3J0MIGfBgNVHSAEgZcwgZQwgZEGCSsGAQQBgjcuAzCBgzA/BggrBgEF
# BQcCARYzaHR0cDovL3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9kb2NzL3ByaW1h
# cnljcHMuaHRtMEAGCCsGAQUFBwICMDQeMiAdAEwAZQBnAGEAbABfAHAAbwBsAGkA
# YwB5AF8AcwB0AGEAdABlAG0AZQBuAHQALiAdMA0GCSqGSIb3DQEBCwUAA4ICAQBn
# 8oalmOBUeRou09h0ZyKbC5YR4WOSmUKWfdJ5DJDBZV8uLD74w3LRbYP+vj/oCso7
# v0epo/Np22O/IjWll11lhJB9i0ZQVdgMknzSGksc8zxCi1LQsP1r4z4HLimb5j0b
# pdS1HXeUOeLpZMlEPXh6I/MTfaaQdION9MsmAkYqwooQu6SpBQyb7Wj6aC6VoCo/
# KmtYSWMfCWluWpiW5IP0wI/zRive/DvQvTXvbiWu5a8n7dDd8w6vmSiXmE0OPQvy
# CInWH8MyGOLwxS3OW560STkKxgrCxq2u5bLZ2xWIUUVYODJxJxp/sfQn+N4sOiBp
# mLJZiWhub6e3dMNABQamASooPoI/E01mC8CzTfXhj38cbxV9Rad25UAqZaPDXVJi
# hsMdYzaXht/a8/jyFqGaJ+HNpZfQ7l1jQeNbB5yHPgZ3BtEGsXUfFL5hYbXw3MYb
# BL7fQccOKO7eZS/sl/ahXJbYANahRr1Z85elCUtIEJmAH9AAKcWxm6U/RXceNcbS
# oqKfenoi+kiVH6v7RyOA9Z74v2u3S5fi63V4GuzqN5l5GEv/1rMjaHXmr/r8i+sL
# gOppO6/8MO0ETI7f33VtY5E90Z1WTk+/gFcioXgRMiF670EKsT/7qMykXcGhiJtX
# cVZOSEXAQsmbdlsKgEhr/Xmfwb1tbWrJUnMTDXpQzTGCGgowghoGAgEBMIGVMH4x
# CzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRt
# b25kMR4wHAYDVQQKExVNaWNyb3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01p
# Y3Jvc29mdCBDb2RlIFNpZ25pbmcgUENBIDIwMTECEzMAAAOuLTVRyFOPVR0AAAAA
# A64wDQYJYIZIAWUDBAIBBQCgga4wGQYJKoZIhvcNAQkDMQwGCisGAQQBgjcCAQQw
# HAYKKwYBBAGCNwIBCzEOMAwGCisGAQQBgjcCARUwLwYJKoZIhvcNAQkEMSIEIMxw
# JXvHcEfOKBqEBLblzD8rDUbiN6W/+lDlZl4pMxKkMEIGCisGAQQBgjcCAQwxNDAy
# oBSAEgBNAGkAYwByAG8AcwBvAGYAdKEagBhodHRwOi8vd3d3Lm1pY3Jvc29mdC5j
# b20wDQYJKoZIhvcNAQEBBQAEggEAYw7aa0t4E2uwQapO3EAF0mSafoHgeUWYZDr9
# qzzljSaXNkJ0fbImxq6AbWPCmRfYF9OPgYKQ8eBAetwCuM6fDyZGIZM3T1MCfyvV
# up865WSugiOUfKOK8csBMYaIDcDDMkV8FkPczgzc5oNWDB1lieQ2VCwp72ZiwVNL
# LUke+jT61exeRNUFMSAqNlTajN2vEeYtk16tnqxEXxM+G8AVDIB34HP3mHHSk8eF
# Ldm7QWIzvulRwl5h8NID7Z7MjpnAIZpIVwatwo/bT+wNnvii/PWyaeklDhIwqgJ7
# Gihgetk1ghkPc0m7rI7vVAH+zI56wMaQfAzzuq+XR9Ozraqvs6GCF5QwgheQBgor
# BgEEAYI3AwMBMYIXgDCCF3wGCSqGSIb3DQEHAqCCF20wghdpAgEDMQ8wDQYJYIZI
# AWUDBAIBBQAwggFSBgsqhkiG9w0BCRABBKCCAUEEggE9MIIBOQIBAQYKKwYBBAGE
# WQoDATAxMA0GCWCGSAFlAwQCAQUABCCNB2HjmB3ws5jBLQEqMYx6ynPhVAsaKJ73
# +ea+OrydaAIGZfMr87hNGBMyMDI0MDMyNzA4MTkyNi42NjhaMASAAgH0oIHRpIHO
# MIHLMQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMH
# UmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSUwIwYDVQQL
# ExxNaWNyb3NvZnQgQW1lcmljYSBPcGVyYXRpb25zMScwJQYDVQQLEx5uU2hpZWxk
# IFRTUyBFU046RTAwMi0wNUUwLUQ5NDcxJTAjBgNVBAMTHE1pY3Jvc29mdCBUaW1l
# LVN0YW1wIFNlcnZpY2WgghHqMIIHIDCCBQigAwIBAgITMwAAAe4F0wIwspqdpwAB
# AAAB7jANBgkqhkiG9w0BAQsFADB8MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2Fz
# aGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENv
# cnBvcmF0aW9uMSYwJAYDVQQDEx1NaWNyb3NvZnQgVGltZS1TdGFtcCBQQ0EgMjAx
# MDAeFw0yMzEyMDYxODQ1NDRaFw0yNTAzMDUxODQ1NDRaMIHLMQswCQYDVQQGEwJV
# UzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UE
# ChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSUwIwYDVQQLExxNaWNyb3NvZnQgQW1l
# cmljYSBPcGVyYXRpb25zMScwJQYDVQQLEx5uU2hpZWxkIFRTUyBFU046RTAwMi0w
# NUUwLUQ5NDcxJTAjBgNVBAMTHE1pY3Jvc29mdCBUaW1lLVN0YW1wIFNlcnZpY2Uw
# ggIiMA0GCSqGSIb3DQEBAQUAA4ICDwAwggIKAoICAQC+8byl16KEia8xKS4vVL7R
# EOOR7LzYCLXEtWgeqyOVlrzuEz+AoCa4tBGESjbHTXECeMOwP9TPeKaKalfTU5XS
# GjpJhpGx59fxMJoTYWPzzD0O2RAlyBmOBBmiLDXRDQJL1RtuAjvCiLulVQeiPI8V
# 7+HhTR391TbC1beSxwXfdKJqY1onjDawqDJAmtwsA/gmqXgHwF9fZWcwKSuXiZBT
# bU5fcm3bhhlRNw5d04Ld15ZWzVl/VDp/iRerGo2Is/0Wwn/a3eGOdHrvfwIbfk6l
# VqwbNQE11Oedn2uvRjKWEwerXL70OuDZ8vLzxry0yEdvQ8ky+Vfq8mfEXS907Y7r
# N/HYX6cCsC2soyXG3OwCtLA7o0/+kKJZuOrD5HUrSz3kfqgDlmWy67z8ZZPjkiDC
# 1dYW1jN77t5iSl5Wp1HKBp7JU8RiRI+vY2i1cb5X2REkw3WrNW/jbofXEs9t4bgd
# +yU8sgKn9MtVnQ65s6QG72M/yaUZG2HMI31tm9mooH29vPBO9jDMOIu0LwzUTkIW
# flgd/vEWfTNcPWEQj7fsWuSoVuJ3uBqwNmRSpmQDzSfMaIzuys0pvV1jFWqtqwwC
# caY/WXsb/axkxB/zCTdHSBUJ8Tm3i4PM9skiunXY+cSqH58jWkpHbbLA3Ofss7e+
# JbMjKmTdcjmSkb5oN8qU1wIDAQABo4IBSTCCAUUwHQYDVR0OBBYEFBCIzT8a2dwg
# nr37xd+2v1/cdqYIMB8GA1UdIwQYMBaAFJ+nFV0AXmJdg/Tl0mWnG1M1GelyMF8G
# A1UdHwRYMFYwVKBSoFCGTmh0dHA6Ly93d3cubWljcm9zb2Z0LmNvbS9wa2lvcHMv
# Y3JsL01pY3Jvc29mdCUyMFRpbWUtU3RhbXAlMjBQQ0ElMjAyMDEwKDEpLmNybDBs
# BggrBgEFBQcBAQRgMF4wXAYIKwYBBQUHMAKGUGh0dHA6Ly93d3cubWljcm9zb2Z0
# LmNvbS9wa2lvcHMvY2VydHMvTWljcm9zb2Z0JTIwVGltZS1TdGFtcCUyMFBDQSUy
# MDIwMTAoMSkuY3J0MAwGA1UdEwEB/wQCMAAwFgYDVR0lAQH/BAwwCgYIKwYBBQUH
# AwgwDgYDVR0PAQH/BAQDAgeAMA0GCSqGSIb3DQEBCwUAA4ICAQB3ZyAva2EKOWSV
# pBnYkzX8f8GZjaOs577F9o14Anh9lKy6tS34wXoPXEyQp1v1iI7rJzZVG7rpUzna
# y2n9csfn3p6y7kYkHqtSugCGmTiiBkwhFfSByKPI08MklgvJvKTZb673yGfpFwPj
# QwZeI6EPj/OAtpYkT7IUXqMki1CRMJKgeY4wURCccIujdWRkoVv4J3q/87KE0qPQ
# mAR9fqMNxjI3ZClVxA4wiM3tNVlRbF9SgpOnjVo3P/I5p8Jd41hNSVCx/8j3qM7a
# LSKtDzOEUNs+ZtjhznmZgUd7/AWHDhwBHdL57TI9h7niZkfOZOXncYsKxG4gryTs
# hU6G6sAYpbqdME/+/g1uer7VGIHUtLq3W0Anm8lAfS9PqthskZt54JF28CHdsFq/
# 7XVBtFlxL/KgcQylJNnia+anixUG60yUDt3FMGSJI34xG9NHsz3BpqSWueGtJhQ5
# ZN0K8ju0vNVgF+Dv05sirPg0ftSKf9FVECp93o8ogF48jh8CT/B32lz1D6Truk4E
# zcw7E1OhtOMf7DHgPMWf6WOdYnf+HaSJx7ZTXCJsW5oOkM0sLitxBpSpGcj2YjnN
# znCpsEPZat0h+6d7ulRaWR5RHAUyFFQ9jRa7KWaNGdELTs+nHSlYjYeQpK5QSXji
# gdKlLQPBlX+9zOoGAJhoZfrpjq4nQDCCB3EwggVZoAMCAQICEzMAAAAVxedrngKb
# SZkAAAAAABUwDQYJKoZIhvcNAQELBQAwgYgxCzAJBgNVBAYTAlVTMRMwEQYDVQQI
# EwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3Nv
# ZnQgQ29ycG9yYXRpb24xMjAwBgNVBAMTKU1pY3Jvc29mdCBSb290IENlcnRpZmlj
# YXRlIEF1dGhvcml0eSAyMDEwMB4XDTIxMDkzMDE4MjIyNVoXDTMwMDkzMDE4MzIy
# NVowfDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcT
# B1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEmMCQGA1UE
# AxMdTWljcm9zb2Z0IFRpbWUtU3RhbXAgUENBIDIwMTAwggIiMA0GCSqGSIb3DQEB
# AQUAA4ICDwAwggIKAoICAQDk4aZM57RyIQt5osvXJHm9DtWC0/3unAcH0qlsTnXI
# yjVX9gF/bErg4r25PhdgM/9cT8dm95VTcVrifkpa/rg2Z4VGIwy1jRPPdzLAEBjo
# YH1qUoNEt6aORmsHFPPFdvWGUNzBRMhxXFExN6AKOG6N7dcP2CZTfDlhAnrEqv1y
# aa8dq6z2Nr41JmTamDu6GnszrYBbfowQHJ1S/rboYiXcag/PXfT+jlPP1uyFVk3v
# 3byNpOORj7I5LFGc6XBpDco2LXCOMcg1KL3jtIckw+DJj361VI/c+gVVmG1oO5pG
# ve2krnopN6zL64NF50ZuyjLVwIYwXE8s4mKyzbnijYjklqwBSru+cakXW2dg3viS
# kR4dPf0gz3N9QZpGdc3EXzTdEonW/aUgfX782Z5F37ZyL9t9X4C626p+Nuw2TPYr
# bqgSUei/BQOj0XOmTTd0lBw0gg/wEPK3Rxjtp+iZfD9M269ewvPV2HM9Q07BMzlM
# jgK8QmguEOqEUUbi0b1qGFphAXPKZ6Je1yh2AuIzGHLXpyDwwvoSCtdjbwzJNmSL
# W6CmgyFdXzB0kZSU2LlQ+QuJYfM2BjUYhEfb3BvR/bLUHMVr9lxSUV0S2yW6r1AF
# emzFER1y7435UsSFF5PAPBXbGjfHCBUYP3irRbb1Hode2o+eFnJpxq57t7c+auIu
# rQIDAQABo4IB3TCCAdkwEgYJKwYBBAGCNxUBBAUCAwEAATAjBgkrBgEEAYI3FQIE
# FgQUKqdS/mTEmr6CkTxGNSnPEP8vBO4wHQYDVR0OBBYEFJ+nFV0AXmJdg/Tl0mWn
# G1M1GelyMFwGA1UdIARVMFMwUQYMKwYBBAGCN0yDfQEBMEEwPwYIKwYBBQUHAgEW
# M2h0dHA6Ly93d3cubWljcm9zb2Z0LmNvbS9wa2lvcHMvRG9jcy9SZXBvc2l0b3J5
# Lmh0bTATBgNVHSUEDDAKBggrBgEFBQcDCDAZBgkrBgEEAYI3FAIEDB4KAFMAdQBi
# AEMAQTALBgNVHQ8EBAMCAYYwDwYDVR0TAQH/BAUwAwEB/zAfBgNVHSMEGDAWgBTV
# 9lbLj+iiXGJo0T2UkFvXzpoYxDBWBgNVHR8ETzBNMEugSaBHhkVodHRwOi8vY3Js
# Lm1pY3Jvc29mdC5jb20vcGtpL2NybC9wcm9kdWN0cy9NaWNSb29DZXJBdXRfMjAx
# MC0wNi0yMy5jcmwwWgYIKwYBBQUHAQEETjBMMEoGCCsGAQUFBzAChj5odHRwOi8v
# d3d3Lm1pY3Jvc29mdC5jb20vcGtpL2NlcnRzL01pY1Jvb0NlckF1dF8yMDEwLTA2
# LTIzLmNydDANBgkqhkiG9w0BAQsFAAOCAgEAnVV9/Cqt4SwfZwExJFvhnnJL/Klv
# 6lwUtj5OR2R4sQaTlz0xM7U518JxNj/aZGx80HU5bbsPMeTCj/ts0aGUGCLu6WZn
# OlNN3Zi6th542DYunKmCVgADsAW+iehp4LoJ7nvfam++Kctu2D9IdQHZGN5tggz1
# bSNU5HhTdSRXud2f8449xvNo32X2pFaq95W2KFUn0CS9QKC/GbYSEhFdPSfgQJY4
# rPf5KYnDvBewVIVCs/wMnosZiefwC2qBwoEZQhlSdYo2wh3DYXMuLGt7bj8sCXgU
# 6ZGyqVvfSaN0DLzskYDSPeZKPmY7T7uG+jIa2Zb0j/aRAfbOxnT99kxybxCrdTDF
# NLB62FD+CljdQDzHVG2dY3RILLFORy3BFARxv2T5JL5zbcqOCb2zAVdJVGTZc9d/
# HltEAY5aGZFrDZ+kKNxnGSgkujhLmm77IVRrakURR6nxt67I6IleT53S0Ex2tVdU
# CbFpAUR+fKFhbHP+CrvsQWY9af3LwUFJfn6Tvsv4O+S3Fb+0zj6lMVGEvL8CwYKi
# excdFYmNcP7ntdAoGokLjzbaukz5m/8K6TT4JDVnK+ANuOaMmdbhIurwJ0I9JZTm
# dHRbatGePu1+oDEzfbzL6Xu/OHBE0ZDxyKs6ijoIYn/ZcGNTTY3ugm2lBRDBcQZq
# ELQdVTNYs6FwZvKhggNNMIICNQIBATCB+aGB0aSBzjCByzELMAkGA1UEBhMCVVMx
# EzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoT
# FU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjElMCMGA1UECxMcTWljcm9zb2Z0IEFtZXJp
# Y2EgT3BlcmF0aW9uczEnMCUGA1UECxMeblNoaWVsZCBUU1MgRVNOOkUwMDItMDVF
# MC1EOTQ3MSUwIwYDVQQDExxNaWNyb3NvZnQgVGltZS1TdGFtcCBTZXJ2aWNloiMK
# AQEwBwYFKw4DAhoDFQCIo6bVNvflFxbUWCDQ3YYKy6O+k6CBgzCBgKR+MHwxCzAJ
# BgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25k
# MR4wHAYDVQQKExVNaWNyb3NvZnQgQ29ycG9yYXRpb24xJjAkBgNVBAMTHU1pY3Jv
# c29mdCBUaW1lLVN0YW1wIFBDQSAyMDEwMA0GCSqGSIb3DQEBCwUAAgUA6a17ajAi
# GA8yMDI0MDMyNjE2NTA1MFoYDzIwMjQwMzI3MTY1MDUwWjB0MDoGCisGAQQBhFkK
# BAExLDAqMAoCBQDprXtqAgEAMAcCAQACAkKGMAcCAQACAhOJMAoCBQDprszqAgEA
# MDYGCisGAQQBhFkKBAIxKDAmMAwGCisGAQQBhFkKAwKgCjAIAgEAAgMHoSChCjAI
# AgEAAgMBhqAwDQYJKoZIhvcNAQELBQADggEBAIoIuSRkmyI93RuwazBzZibHtWSU
# Py0z5+fCKd6ksV+URgpp4/O5x7CtGFM11Uuqy+pdVAhbQx4bVGM4Q3dm8ZZhnUHV
# VMYA/Fc25JUqM+6g7WxIum7hmun+l1YNeZfeLkZqRm5wigJ2LusrBXj7464ymEvp
# CfZ8fyOITDgDsNVcCT/Tp5c1A0Wwn2Zo4B+7rzM7ctqQT+JsykgZu0UKwEye0FBW
# Li0Wez1sibWcysA2w+WyKE3TFqFhWVSPFPFV/y7Gbmc1Pg1q2ajK5z8jACGdjTU6
# 2TlSHL8fLx/NifPMNdaxQxJqx0yNzG+R28VSLak5uyjKiKN0F9hKOfK7a20xggQN
# MIIECQIBATCBkzB8MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQ
# MA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9u
# MSYwJAYDVQQDEx1NaWNyb3NvZnQgVGltZS1TdGFtcCBQQ0EgMjAxMAITMwAAAe4F
# 0wIwspqdpwABAAAB7jANBglghkgBZQMEAgEFAKCCAUowGgYJKoZIhvcNAQkDMQ0G
# CyqGSIb3DQEJEAEEMC8GCSqGSIb3DQEJBDEiBCBC4OT2XAAt2Fd5aUuKcIks3cOL
# IliFqDB9jffOj4UscjCB+gYLKoZIhvcNAQkQAi8xgeowgecwgeQwgb0EIE9QdxSV
# hfq+Vdf+DPs+5EIkBz9oCS/OQflHkVRhfjAhMIGYMIGApH4wfDELMAkGA1UEBhMC
# VVMxEzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNV
# BAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEmMCQGA1UEAxMdTWljcm9zb2Z0IFRp
# bWUtU3RhbXAgUENBIDIwMTACEzMAAAHuBdMCMLKanacAAQAAAe4wIgQgY0lojsZt
# b/GD8Iq+RD3Pf3gfXs9Q7X0UAcMDj/MdqnIwDQYJKoZIhvcNAQELBQAEggIAAOTz
# H6xSdIRpyWlXOZ3ykYJuy3zpKiC/fIhhwqsGhK8Plstre56+vTT54/M/WPEjNhMO
# suMWc8FBKsveSHdqf5186MiBuJN/j5Uj4PJX1xVzAkWe4qbsNcmP8LCNVDyA5cZ5
# V2Tu/sBWtV9OWdt3+23B9ek/xKTGBDOmr3JCDd0sChQLmJGVPzw2fOam+gck4Rcw
# 0TTUEECitnOwifmmidkzEEv8Wx1Cq2xBvZ42FDWrV5b1U4q/Q3OqCbo6CNZdMvZk
# O4oFyAjEzxJHa6gYB7qjBdtfJLM2CHmVmgJDnXROF7EF4eJ0Jmndbb7TlQDPgbPl
# f8KEPRTdPvSHXVJmvfNhedfXELX3q0UG0WQPGGK/PRcXp2tyF4+gVJcdBv+VneQ6
# AjwPLxcgMlIL6XrRsQzV4gu4Z4ui/YH3wAp1qF6ltk1lzbJlfrWL1HtYye5X/8FW
# 9691pIj97qaZczaF3HUWsir/DSEyuuexWZdVjZMOG0G+ZKmSea3g9xgjCpiVb0gC
# VczwLLebs+ZD+1h6U2HpsGpGqm9J6v0FxSxtWNyh0aprKYRGB3aXE1fFmR6Ugmzf
# vxHmMhMl1cp49ZBezkGndfDUZ+5MWZ4U9bH71rkHhN8UWU1Y73CnbovBkv3wse3w
# hvw0CF0ZMBI3I0Mys4QWIrdi63L4nIB+JF9qfD4=
# SIG # End signature block
